"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _utils = require("../utils");
var _ = _interopRequireDefault(require("."));
var _demo = require("../configprovider/styles/demo.page");
var _deviceWidth = _interopRequireDefault(require("../utils/deviceWidth"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const BackTopDemo = () => {
  const [translated] = (0, _utils.useTranslate)({
    'zh-CN': {
      title: '基本用法',
      clg: '触发返回顶部',
      content: '我是测试数据',
      backText: '顶部'
    },
    'en-US': {
      title: 'Basic Usage',
      clg: 'backtop',
      content: 'test data',
      backText: 'Top'
    }
  });
  const demoStyle = {
    height: '1600px'
  };
  const cellStyle = {
    height: '46px',
    lineHeight: '46px',
    margin: '15px auto 20px',
    paddingLeft: '16px',
    backgroundColor: '#fff',
    color: '#666',
    borderRadius: '7px',
    boxShadow: '0 1px 7px #edeef1',
    fontSize: '13px'
  };
  const ref1 = (0, _react.useRef)();
  const [data, setData] = (0, _react.useState)([1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25]);
  const [distance, setDistance] = (0, _react.useState)(200);
  const [backIsShow, setBackIsShow] = (0, _react.useState)(false);
  const handleClick = () => {
    console.log(translated.clg);
  };
  const onPressTop = e => {
    ref1 && ref1.current && ref1.current.scrollTo({
      y: 0,
      x: 0,
      animated: true
    });
  };
  return /*#__PURE__*/_react.default.createElement(_demo.DemoPage, null, /*#__PURE__*/_react.default.createElement(_demo.DemoCard, {
    title: "\u57FA\u672C\u7528\u6CD5",
    padding: 0
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: {
      width: _deviceWidth.default - 40,
      height: 500
    }
  }, /*#__PURE__*/_react.default.createElement(_reactNative.ScrollView, {
    ref: ref1,
    scrollEventThrottle: 16,
    onScroll: event => {
      if (backIsShow && event.nativeEvent.contentOffset.y <= distance) {
        setBackIsShow(false);
      } else if (backIsShow === false && event.nativeEvent.contentOffset.y > distance) {
        setBackIsShow(true);
      }
    },
    style: {
      flex: 1
    }
  }, data.map((value, index) => {
    return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      key: index,
      style: styles.items
    }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, null, translated.content, index));
  })), /*#__PURE__*/_react.default.createElement(_.default, {
    isShow: backIsShow,
    onClick: e => {
      onPressTop(e);
    },
    bottom: 200,
    right: 50
  }))));
};
const styles = _reactNative.StyleSheet.create({
  items: {
    width: _deviceWidth.default - 40,
    height: 40,
    borderBottomWidth: 1,
    borderBottomColor: '#eee',
    justifyContent: 'center',
    paddingLeft: 20
  }
});
var _default = BackTopDemo;
exports.default = _default;
//# sourceMappingURL=demo.js.map