"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _demo = require("../configprovider/styles/demo.page");
var _useTranslate = _interopRequireDefault(require("../hooks/useTranslate"));
var _button = require("./button");
var _pt = _interopRequireDefault(require("../utils/pt"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const ButtonDemo = () => {
  const [translated] = (0, _useTranslate.default)({
    'zh-CN': {
      ce5c5446: '按钮类型',
      c38a08ef: '主要按钮',
      b840c88f: '信息按钮',
      a74a1fd4: '默认按钮',
      '8dab2f66': '危险按钮',
      cfbdc781: '警告按钮',
      c3a3a1d2: '成功按钮',
      e51e4582: '朴素按钮',
      '7db1a8b2': '禁用状态',
      a52bef0c: '加载状态',
      d04fcbda: '加载中',
      '0aaad620': '按钮尺寸',
      '60a53514': '收藏',
      b8a453e3: '大号按钮',
      '248be9e1': '普通按钮',
      ea3d02f2: '小型按钮',
      c9e6df49: '块级元素',
      '781b07fd': '自定义颜色',
      '1076d771': '单色按钮',
      '6ab47cd2': '渐变按钮'
    },
    'zh-TW': {
      ce5c5446: '按鈕類型',
      c38a08ef: '主要按鈕',
      b840c88f: '資訊按鈕',
      a74a1fd4: '默認按鈕',
      '8dab2f66': '危險按鈕',
      cfbdc781: '警告按鈕',
      c3a3a1d2: '成功按鈕',
      e51e4582: '樸素按鈕',
      '7db1a8b2': '禁用狀態',
      a52bef0c: '載入狀態',
      d04fcbda: '載入中',
      '0aaad620': '按鈕尺寸',
      '60a53514': '收藏',
      b8a453e3: '大號按鈕',
      '248be9e1': '普通按鈕',
      ea3d02f2: '小型按鈕',
      c9e6df49: '塊級元素',
      '781b07fd': '自定義顏色',
      '1076d771': '單色按鈕',
      '6ab47cd2': '漸變按鈕'
    },
    'en-US': {
      ce5c5446: 'Button Type',
      c38a08ef: 'Main button',
      b840c88f: 'Info Button',
      a74a1fd4: 'Default Button',
      '8dab2f66': 'Danger Button',
      cfbdc781: 'Warning button',
      c3a3a1d2: 'Success Button',
      e51e4582: 'Naive button',
      '7db1a8b2': 'Disabled State',
      a52bef0c: 'Load State',
      d04fcbda: 'Loading',
      '0aaad620': 'Button size',
      '60a53514': 'Favorite',
      b8a453e3: 'Large button',
      '248be9e1': 'Normal Button',
      ea3d02f2: 'Mini Button',
      c9e6df49: 'Block-level elements',
      '781b07fd': 'Custom Colors',
      '1076d771': 'Monochrome button',
      '6ab47cd2': 'Gradient button'
    }
  });
  const [loading, setLoading] = (0, _react.useState)(false);
  return /*#__PURE__*/_react.default.createElement(_demo.DemoPage, null, /*#__PURE__*/_react.default.createElement(_demo.DemoCard, {
    title: "\u6309\u94AE\u7C7B\u578B",
    style: {
      flexDirection: 'row',
      flexWrap: 'wrap',
      justifyContent: 'space-around',
      gap: 10
    }
  }, /*#__PURE__*/_react.default.createElement(_button.Button, null, "\u9ED8\u8BA4\u5B57\u4F53"), /*#__PURE__*/_react.default.createElement(_button.Button, {
    type: "primary"
  }, "\u4E3B\u8981\u5B57\u4F53"), /*#__PURE__*/_react.default.createElement(_button.Button, {
    type: "info"
  }, "\u4FE1\u606F\u5B57\u4F53"), /*#__PURE__*/_react.default.createElement(_button.Button, {
    type: "danger"
  }, "\u5371\u9669\u5B57\u4F53"), /*#__PURE__*/_react.default.createElement(_button.Button, {
    type: "warning"
  }, "\u8B66\u544A\u5B57\u4F53"), /*#__PURE__*/_react.default.createElement(_button.Button, {
    type: "success"
  }, "\u6210\u529F\u5B57\u4F53")), /*#__PURE__*/_react.default.createElement(_demo.DemoCard, {
    title: "\u6734\u7D20\u7C7B\u578B",
    style: {
      flexDirection: 'row',
      flexWrap: 'wrap',
      justifyContent: 'space-around',
      gap: 10
    }
  }, /*#__PURE__*/_react.default.createElement(_button.Button, {
    plain: true,
    type: "default"
  }, "\u9ED8\u8BA4\u5B57\u4F53"), /*#__PURE__*/_react.default.createElement(_button.Button, {
    plain: true,
    type: "primary"
  }, "\u4E3B\u8981\u5B57\u4F53"), /*#__PURE__*/_react.default.createElement(_button.Button, {
    plain: true,
    type: "info"
  }, "\u4FE1\u606F\u5B57\u4F53"), /*#__PURE__*/_react.default.createElement(_button.Button, {
    plain: true,
    type: "danger"
  }, "\u5371\u9669\u5B57\u4F53"), /*#__PURE__*/_react.default.createElement(_button.Button, {
    plain: true,
    type: "warning"
  }, "\u8B66\u544A\u5B57\u4F53"), /*#__PURE__*/_react.default.createElement(_button.Button, {
    plain: true,
    type: "success"
  }, "\u6210\u529F\u5B57\u4F53")), /*#__PURE__*/_react.default.createElement(_demo.DemoCard, {
    title: "\u7981\u7528\u72B6\u6001",
    style: {
      flexDirection: 'row',
      flexWrap: 'wrap',
      justifyContent: 'space-around',
      gap: 10
    }
  }, /*#__PURE__*/_react.default.createElement(_button.Button, {
    disabled: true,
    type: "default"
  }, "\u9ED8\u8BA4\u5B57\u4F53"), /*#__PURE__*/_react.default.createElement(_button.Button, {
    disabled: true,
    type: "primary"
  }, "\u4E3B\u8981\u5B57\u4F53"), /*#__PURE__*/_react.default.createElement(_button.Button, {
    disabled: true,
    type: "info"
  }, "\u4FE1\u606F\u5B57\u4F53"), /*#__PURE__*/_react.default.createElement(_button.Button, {
    disabled: true,
    type: "danger"
  }, "\u5371\u9669\u5B57\u4F53"), /*#__PURE__*/_react.default.createElement(_button.Button, {
    disabled: true,
    type: "warning"
  }, "\u8B66\u544A\u5B57\u4F53"), /*#__PURE__*/_react.default.createElement(_button.Button, {
    disabled: true,
    type: "success"
  }, "\u6210\u529F\u5B57\u4F53"), /*#__PURE__*/_react.default.createElement(_button.Button, {
    disabled: true,
    plain: true,
    type: "default"
  }, "\u9ED8\u8BA4\u5B57\u4F53"), /*#__PURE__*/_react.default.createElement(_button.Button, {
    disabled: true,
    plain: true,
    type: "primary"
  }, "\u4E3B\u8981\u5B57\u4F53"), /*#__PURE__*/_react.default.createElement(_button.Button, {
    disabled: true,
    plain: true,
    type: "info"
  }, "\u4FE1\u606F\u5B57\u4F53"), /*#__PURE__*/_react.default.createElement(_button.Button, {
    disabled: true,
    plain: true,
    type: "danger"
  }, "\u5371\u9669\u5B57\u4F53"), /*#__PURE__*/_react.default.createElement(_button.Button, {
    disabled: true,
    plain: true,
    type: "warning"
  }, "\u8B66\u544A\u5B57\u4F53"), /*#__PURE__*/_react.default.createElement(_button.Button, {
    disabled: true,
    plain: true,
    type: "success"
  }, "\u6210\u529F\u5B57\u4F53")), /*#__PURE__*/_react.default.createElement(_demo.DemoCard, {
    title: "\u52A0\u8F7D\u72B6\u6001",
    style: {
      flexDirection: 'row',
      flexWrap: 'wrap',
      justifyContent: 'space-around',
      gap: 10
    }
  }, /*#__PURE__*/_react.default.createElement(_button.Button, {
    loading: true,
    type: "default"
  }, "\u9ED8\u8BA4\u5B57\u4F53"), /*#__PURE__*/_react.default.createElement(_button.Button, {
    loading: true,
    type: "primary"
  }, "\u4E3B\u8981\u5B57\u4F53"), /*#__PURE__*/_react.default.createElement(_button.Button, {
    loading: true,
    type: "info"
  }, "\u4FE1\u606F\u5B57\u4F53"), /*#__PURE__*/_react.default.createElement(_button.Button, {
    loading: true,
    type: "danger"
  }, "\u5371\u9669\u5B57\u4F53"), /*#__PURE__*/_react.default.createElement(_button.Button, {
    loading: true,
    type: "warning"
  }, "\u8B66\u544A\u5B57\u4F53"), /*#__PURE__*/_react.default.createElement(_button.Button, {
    loading: true,
    type: "success"
  }, "\u6210\u529F\u5B57\u4F53"), /*#__PURE__*/_react.default.createElement(_button.Button, {
    loading: true,
    plain: true,
    type: "default"
  }, "\u9ED8\u8BA4\u5B57\u4F53"), /*#__PURE__*/_react.default.createElement(_button.Button, {
    loading: true,
    plain: true,
    type: "primary"
  }, "\u4E3B\u8981\u5B57\u4F53"), /*#__PURE__*/_react.default.createElement(_button.Button, {
    loading: true,
    plain: true,
    type: "info"
  }, "\u4FE1\u606F\u5B57\u4F53"), /*#__PURE__*/_react.default.createElement(_button.Button, {
    loading: true,
    plain: true,
    type: "danger"
  }, "\u5371\u9669\u5B57\u4F53"), /*#__PURE__*/_react.default.createElement(_button.Button, {
    loading: true,
    plain: true,
    type: "warning"
  }, "\u8B66\u544A\u5B57\u4F53"), /*#__PURE__*/_react.default.createElement(_button.Button, {
    loading: true,
    plain: true,
    type: "success"
  }, "\u6210\u529F\u5B57\u4F53")), /*#__PURE__*/_react.default.createElement(_demo.DemoCard, {
    title: "\u5F62\u72B6",
    style: {
      flexDirection: 'row',
      flexWrap: 'wrap',
      justifyContent: 'space-around',
      gap: 10
    }
  }, /*#__PURE__*/_react.default.createElement(_button.Button, {
    shape: "square",
    type: "default"
  }, "\u9ED8\u8BA4\u5B57\u4F53"), /*#__PURE__*/_react.default.createElement(_button.Button, {
    shape: "square",
    type: "primary"
  }, "\u4E3B\u8981\u5B57\u4F53"), /*#__PURE__*/_react.default.createElement(_button.Button, {
    shape: "square",
    type: "info"
  }, "\u4FE1\u606F\u5B57\u4F53"), /*#__PURE__*/_react.default.createElement(_button.Button, {
    shape: "square",
    type: "danger"
  }, "\u5371\u9669\u5B57\u4F53"), /*#__PURE__*/_react.default.createElement(_button.Button, {
    shape: "square",
    type: "warning"
  }, "\u8B66\u544A\u5B57\u4F53"), /*#__PURE__*/_react.default.createElement(_button.Button, {
    shape: "square",
    type: "success"
  }, "\u6210\u529F\u5B57\u4F53"), /*#__PURE__*/_react.default.createElement(_button.Button, {
    plain: true,
    shape: "square",
    type: "default"
  }, "\u9ED8\u8BA4\u5B57\u4F53"), /*#__PURE__*/_react.default.createElement(_button.Button, {
    plain: true,
    shape: "square",
    type: "primary"
  }, "\u4E3B\u8981\u5B57\u4F53"), /*#__PURE__*/_react.default.createElement(_button.Button, {
    plain: true,
    shape: "square",
    type: "info"
  }, "\u4FE1\u606F\u5B57\u4F53"), /*#__PURE__*/_react.default.createElement(_button.Button, {
    disabled: true,
    shape: "square",
    type: "danger"
  }, "\u5371\u9669\u5B57\u4F53"), /*#__PURE__*/_react.default.createElement(_button.Button, {
    disabled: true,
    shape: "square",
    type: "warning"
  }, "\u8B66\u544A\u5B57\u4F53"), /*#__PURE__*/_react.default.createElement(_button.Button, {
    disabled: true,
    shape: "square",
    type: "success"
  }, "\u6210\u529F\u5B57\u4F53"), /*#__PURE__*/_react.default.createElement(_button.Button, {
    disabled: true,
    shape: "square",
    type: "default"
  }, "\u9ED8\u8BA4\u5B57\u4F53"), /*#__PURE__*/_react.default.createElement(_button.Button, {
    disabled: true,
    shape: "square",
    type: "primary"
  }, "\u4E3B\u8981\u5B57\u4F53"), /*#__PURE__*/_react.default.createElement(_button.Button, {
    disabled: true,
    shape: "square",
    type: "info"
  }, "\u4FE1\u606F\u5B57\u4F53"), /*#__PURE__*/_react.default.createElement(_button.Button, {
    plain: true,
    disabled: true,
    shape: "square",
    type: "default"
  }, "\u9ED8\u8BA4\u5B57\u4F53"), /*#__PURE__*/_react.default.createElement(_button.Button, {
    plain: true,
    disabled: true,
    shape: "square",
    type: "primary"
  }, "\u4E3B\u8981\u5B57\u4F53"), /*#__PURE__*/_react.default.createElement(_button.Button, {
    plain: true,
    disabled: true,
    shape: "square",
    type: "info"
  }, "\u4FE1\u606F\u5B57\u4F53"), /*#__PURE__*/_react.default.createElement(_button.Button, {
    plain: true,
    disabled: true,
    shape: "square",
    type: "danger"
  }, "\u5371\u9669\u5B57\u4F53"), /*#__PURE__*/_react.default.createElement(_button.Button, {
    plain: true,
    disabled: true,
    shape: "square",
    type: "warning"
  }, "\u8B66\u544A\u5B57\u4F53"), /*#__PURE__*/_react.default.createElement(_button.Button, {
    plain: true,
    disabled: true,
    shape: "square",
    type: "success"
  }, "\u6210\u529F\u5B57\u4F53")), /*#__PURE__*/_react.default.createElement(_demo.DemoCard, {
    title: "\u6309\u94AE\u5C3A\u5BF8",
    style: {
      gap: 10
    }
  }, /*#__PURE__*/_react.default.createElement(_button.Button, {
    size: "large",
    style: {
      width: (0, _pt.default)(620)
    },
    type: "default"
  }, "\u9ED8\u8BA4\u5927"), /*#__PURE__*/_react.default.createElement(_button.Button, {
    size: "normal",
    type: "default"
  }, "\u9ED8\u8BA4\u4E2D"), /*#__PURE__*/_react.default.createElement(_button.Button, {
    size: "small",
    type: "default"
  }, "\u9ED8\u8BA4\u5C0F"), /*#__PURE__*/_react.default.createElement(_button.Button, {
    size: "large",
    style: {
      width: (0, _pt.default)(620)
    },
    type: "primary"
  }, "\u9ED8\u8BA4\u5927"), /*#__PURE__*/_react.default.createElement(_button.Button, {
    size: "normal",
    type: "primary"
  }, "\u9ED8\u8BA4\u4E2D"), /*#__PURE__*/_react.default.createElement(_button.Button, {
    size: "small",
    type: "primary"
  }, "\u9ED8\u8BA4\u5C0F"), /*#__PURE__*/_react.default.createElement(_button.Button, {
    size: "large",
    style: {
      width: (0, _pt.default)(620)
    },
    type: "info"
  }, "\u9ED8\u8BA4\u5927"), /*#__PURE__*/_react.default.createElement(_button.Button, {
    size: "normal",
    type: "info"
  }, "\u9ED8\u8BA4\u4E2D"), /*#__PURE__*/_react.default.createElement(_button.Button, {
    size: "small",
    type: "info"
  }, "\u9ED8\u8BA4\u5C0F"), /*#__PURE__*/_react.default.createElement(_button.Button, {
    size: "large",
    style: {
      width: (0, _pt.default)(620)
    },
    type: "danger"
  }, "\u9ED8\u8BA4\u5927"), /*#__PURE__*/_react.default.createElement(_button.Button, {
    size: "normal",
    type: "danger"
  }, "\u9ED8\u8BA4\u4E2D"), /*#__PURE__*/_react.default.createElement(_button.Button, {
    size: "small",
    type: "danger"
  }, "\u9ED8\u8BA4\u5C0F"), /*#__PURE__*/_react.default.createElement(_button.Button, {
    size: "large",
    style: {
      width: (0, _pt.default)(620)
    },
    type: "warning"
  }, "\u9ED8\u8BA4\u5927"), /*#__PURE__*/_react.default.createElement(_button.Button, {
    size: "normal",
    type: "warning"
  }, "\u9ED8\u8BA4\u4E2D"), /*#__PURE__*/_react.default.createElement(_button.Button, {
    size: "small",
    type: "warning"
  }, "\u9ED8\u8BA4\u5C0F"), /*#__PURE__*/_react.default.createElement(_button.Button, {
    size: "large",
    style: {
      width: (0, _pt.default)(620)
    },
    type: "success"
  }, "\u9ED8\u8BA4\u5927"), /*#__PURE__*/_react.default.createElement(_button.Button, {
    size: "normal",
    type: "success"
  }, "\u9ED8\u8BA4\u4E2D"), /*#__PURE__*/_react.default.createElement(_button.Button, {
    size: "small",
    type: "success"
  }, "\u9ED8\u8BA4\u5C0F")), /*#__PURE__*/_react.default.createElement(_demo.DemoCard, {
    title: "\u5757\u7EA7\u5143\u7D20",
    style: {
      flexDirection: 'row',
      flexWrap: 'wrap',
      justifyContent: 'space-around',
      gap: 10
    }
  }, /*#__PURE__*/_react.default.createElement(_button.Button, {
    block: true,
    style: {
      width: (0, _pt.default)(620)
    },
    type: "default"
  }, "\u5757\u7EA7\u5143\u7D20"), /*#__PURE__*/_react.default.createElement(_button.Button, {
    block: true,
    style: {
      width: (0, _pt.default)(620)
    },
    type: "primary"
  }, "\u5757\u7EA7\u5143\u7D20"), /*#__PURE__*/_react.default.createElement(_button.Button, {
    block: true,
    style: {
      width: (0, _pt.default)(620)
    },
    type: "info"
  }, "\u5757\u7EA7\u5143\u7D20"), /*#__PURE__*/_react.default.createElement(_button.Button, {
    block: true,
    style: {
      width: (0, _pt.default)(620)
    },
    type: "danger"
  }, "\u5757\u7EA7\u5143\u7D20"), /*#__PURE__*/_react.default.createElement(_button.Button, {
    block: true,
    style: {
      width: (0, _pt.default)(620)
    },
    type: "warning"
  }, "\u5757\u7EA7\u5143\u7D20"), /*#__PURE__*/_react.default.createElement(_button.Button, {
    block: true,
    style: {
      width: (0, _pt.default)(620)
    },
    type: "success"
  }, "\u5757\u7EA7\u5143\u7D20")), /*#__PURE__*/_react.default.createElement(_demo.DemoCard, {
    title: "\u81EA\u5B9A\u4E49\u989C\u8272",
    style: {
      flexDirection: 'row',
      flexWrap: 'wrap',
      justifyContent: 'space-around',
      gap: 10
    }
  }, /*#__PURE__*/_react.default.createElement(_button.Button, {
    color: "#7232dd"
  }, "\u5355\u8272\u6309\u94AE"), /*#__PURE__*/_react.default.createElement(_button.Button, {
    color: "#7232dd",
    plain: true
  }, "\u5355\u8272\u6309\u94AE"), /*#__PURE__*/_react.default.createElement(_button.Button, {
    color: "linear-gradient(to right, #ff6034, #ee0a24)"
  }, "\u6E10\u53D8color"), /*#__PURE__*/_react.default.createElement(_button.Button, {
    color: "linear-gradient(to right, #ff6034, #ee0a24)",
    plain: true
  }, "\u6E10\u53D8color")));
};
var _default = ButtonDemo;
exports.default = _default;
//# sourceMappingURL=demo.js.map