"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Card = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _price = _interopRequireDefault(require("../price"));
var _tag = _interopRequireDefault(require("../tag"));
var _styles = _interopRequireDefault(require("./styles"));
var _configprovider = require("../configprovider");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const defaultProps = {};
const Card = props => {
  const {
    className,
    style,
    imgUrl,
    title,
    price,
    vipPrice,
    shopDesc,
    delivery,
    shopName,
    shopTagTpl,
    originTpl,
    prolistTpl,
    footerTpl,
    ...rest
  } = {
    ...defaultProps,
    ...props
  };
  const {
    theme
  } = (0, _configprovider.useConfig)();
  const styles = (0, _styles.default)(theme);
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, _extends({
    style: [styles.container, style]
  }, rest), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.imgContainer
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Image, {
    style: styles.img,
    source: {
      uri: imgUrl
    }
  })), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.rightC
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: {
      width: '100%'
    }
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    numberOfLines: 2,
    ellipsizeMode: "tail"
  }, title)), prolistTpl, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.priceC
  }, /*#__PURE__*/_react.default.createElement(_price.default, {
    price: price
  }), originTpl || /*#__PURE__*/_react.default.createElement(_price.default, {
    style: styles.goldColor,
    price: vipPrice
  })), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.tagC
  }, shopTagTpl || /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_tag.default, {
    type: "danger"
  }, shopDesc), /*#__PURE__*/_react.default.createElement(_tag.default, {
    style: styles.marL10,
    plain: true
  }, delivery))), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.shop
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, null, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.shopTx
  }, shopName)), footerTpl)));
};
exports.Card = Card;
Card.defaultProps = defaultProps;
Card.displayName = 'NutCard';
//# sourceMappingURL=card.js.map