"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Col = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _deviceWidth = _interopRequireDefault(require("../utils/deviceWidth"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const defaultProps = {
  span: '24',
  offset: '0',
  gutter: '0',
  rowClassName: ''
};
const Col = props => {
  const {
    span,
    offset,
    children,
    rowClassName,
    gutter,
    onClick
  } = {
    ...defaultProps,
    ...props
  };
  const [colName, setColName] = (0, _react.useState)('');
  const [colStyle, setColStyle] = (0, _react.useState)({});
  const classs = () => {
    // 定义col的class类
    const prefixCls = 'nut-col';
    return `${prefixCls} ${prefixCls}-${span} ${gutter ? `${prefixCls}-gutter` : ''} ${prefixCls}-${offset}`;
  };
  const getStyle = () => {
    // 定义col的style类

    const style = {};
    style.paddingLeft = gutter / 2;
    style.paddingRight = gutter / 2;
    style.width = (_deviceWidth.default - (24 / parseInt(span) - 1) * parseInt(gutter)) * (parseInt(span) / 24);
    if (offset) {
      style.marginTop = parseInt(offset);
    }
    return style;
  };
  (0, _react.useEffect)(() => {
    setColName(classs);
    setColStyle(getStyle);
  }, [span, offset, gutter]);
  return /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
    style: {
      ...colStyle
    },
    onPress: e => {
      onClick && onClick(e, 'col');
    },
    onLayout: e => {
      // console.log(e.nativeEvent.layout)
    }
  }, children);
};
exports.Col = Col;
Col.defaultProps = defaultProps;
Col.displayName = 'NutCol';
//# sourceMappingURL=col.js.map