"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _reactNative = require("react-native");
var _pt = _interopRequireDefault(require("../utils/pt"));
var _px = _interopRequireDefault(require("../utils/px"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
var _default = theme => {
  return _reactNative.StyleSheet.create({
    verticalStyle: {
      position: 'relative',
      height: theme['$divider-vertical-height'],
      width: (0, _px.default)(theme['$divider-line-height']),
      backgroundColor: theme['$divider-vertical-border-color'],
      marginLeft: theme['$divider-margin-left'],
      marginRight: theme['$divider-margin-right']
    },
    rowfalseStyle: {
      // 没有children的样式
      position: 'relative',
      width: '100%',
      flexDirection: 'row',
      alignItems: 'center',
      borderColor: theme['$divider-vertical-border-color'],
      borderWidth: (0, _px.default)(theme['$divider-line-height'])
    },
    rowtrueStyle: {
      // 有children的样式
      width: '100%',
      position: 'relative',
      flexDirection: 'row',
      alignItems: 'center',
      justifyContent: 'center'
    },
    dashedtruefalse: {
      // 虚线没有children 的样式
      height: 0,
      borderStyle: 'dashed'
    },
    dashedfalsefalse: {
      // 虚线没有children 的样式
      borderStyle: 'solid'
    },
    hairlinefalsetruefalse: {
      // 非虚线
      borderWidth: (0, _px.default)(0.6)
    },
    hairlinetruetruefalse: {
      // 非虚线
      borderWidth: (0, _px.default)(1)
    },
    text: {
      color: theme['$divider-text-color'],
      fontSize: (0, _pt.default)(theme['$divider-text-font-size']),
      marginLeft: theme['$divider-after-margin-left'],
      marginRight: theme['$divider-before-margin-right']
    },
    leftcenter: {
      flex: 1
    },
    leftleft: {
      flex: 1
    },
    leftright: {
      flex: 6
    },
    rightright: {
      flex: 1
    },
    rightleft: {
      flex: 6
    },
    rightcenter: {
      flex: 1
    },
    lineStylefalse: {
      borderStyle: 'solid',
      borderColor: theme['$divider-vertical-border-color']
    },
    lineStyletrue: {
      borderColor: theme['$divider-vertical-border-color'],
      borderStyle: 'dashed'
    },
    lineWidthtrue: {
      borderWidth: (0, _px.default)(0.9)
    }
  });
};
exports.default = _default;
//# sourceMappingURL=styles.js.map