"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _drag = require("./drag");
var _utils = require("../utils");
var _demo = require("../configprovider/styles/demo.page");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const DragDemo = () => {
  const [translated] = (0, _utils.useTranslate)({
    'zh-CN': {
      basic: '基本用法',
      dragBasic: '触摸移动',
      direction: '限制拖拽方向',
      directionX: '只能X轴拖动',
      directionY: '只能Y轴拖动',
      attract: '自动吸边',
      attractText: '按钮',
      limitBoundaries: '限制拖拽边界'
    },
    'zh-TW': {
      basic: '基本用法',
      dragBasic: '觸摸移動',
      direction: '限製拖拽方向',
      directionX: '只能X軸拖動',
      directionY: '只能Y軸拖動',
      attract: '自動吸邊',
      attractText: '按鈕',
      limitBoundaries: '限製拖拽邊界'
    },
    'en-US': {
      basic: 'Basic Usage',
      dragBasic: 'Button',
      direction: 'Limit Direction',
      directionX: 'X axis',
      directionY: 'Y axis',
      attract: 'Attract',
      attractText: 'Button',
      limitBoundaries: 'Limit Boundaries'
    }
  });
  const bottom = () => {
    return _utils.DiviceHeight - 100;
  };
  const btnStyle = {
    borderRadius: 18,
    paddingHorizontal: 18,
    fontSize: 14,
    color: '#fff',
    lineHeight: 36,
    backgroundColor: '#fa2c19'
  };
  const cardStyle = {
    backgroundColor: 'transparent'
  };
  return /*#__PURE__*/_react.default.createElement(_demo.DemoPage, null, /*#__PURE__*/_react.default.createElement(_demo.DemoCard, _extends({
    title: translated.basic
  }, cardStyle), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: {
      width: '100%',
      height: 50
    }
  }, /*#__PURE__*/_react.default.createElement(_drag.Drag, {
    style: {
      top: 0,
      left: 0
    }
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: btnStyle
  }, translated.dragBasic)))), /*#__PURE__*/_react.default.createElement(_demo.DemoCard, _extends({
    title: translated.direction
  }, cardStyle), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: {
      width: '100%',
      height: 100
    }
  }, /*#__PURE__*/_react.default.createElement(_drag.Drag, {
    direction: "x",
    style: {
      top: 0,
      left: 0
    }
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: btnStyle
  }, " ", translated.directionX)), /*#__PURE__*/_react.default.createElement(_drag.Drag, {
    direction: "y",
    style: {
      top: 0,
      right: 50
    }
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: btnStyle
  }, " ", translated.directionY)))), /*#__PURE__*/_react.default.createElement(_demo.DemoCard, _extends({
    title: translated.attract
  }, cardStyle), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: {
      width: '100%',
      height: 100
    }
  }, /*#__PURE__*/_react.default.createElement(_drag.Drag, {
    direction: "x",
    attract: true,
    style: {
      left: 0
    }
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: btnStyle
  }, translated.attractText)))), /*#__PURE__*/_react.default.createElement(_demo.DemoCard, _extends({
    title: translated.limitBoundaries
  }, cardStyle), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: {
      width: '100%',
      height: 100,
      backgroundColor: '#fff'
    }
  }, /*#__PURE__*/_react.default.createElement(_drag.Drag, {
    boundary: {
      top: 0,
      left: 0,
      bottom: bottom(),
      right: 60
    },
    style: {
      left: 50
    }
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: btnStyle
  }, translated.limitBoundaries)))));
};
var _default = DragDemo;
exports.default = _default;
//# sourceMappingURL=demo.js.map