"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Ellipsis = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const defaultProps = {
  content: '',
  direction: '',
  rows: 1,
  expandText: '',
  collapseText: '',
  symbol: '...',
  lineHeight: '',
  style: {}
};
const Ellipsis = props => {
  const {
    children,
    content,
    direction,
    rows,
    expandText,
    collapseText,
    symbol,
    lineHeight,
    onClick,
    onChange,
    style
  } = {
    ...defaultProps,
    ...props
  };
  const getEllipsizeMode = () => {
    let mode = 'clip';
    switch (direction) {
      case 'start':
        mode = 'head';
        break;
      case 'end':
        mode = 'tail';
        break;
      case 'middle':
        mode = 'middle';
        break;
      default:
        mode = 'clip';
        break;
    }
    return mode;
  };
  return /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: [lineHeight ? {
      lineHeight: lineHeight
    } : {}, style],
    numberOfLines: parseInt(rows),
    ellipsizeMode: getEllipsizeMode()
  }, content);
};
exports.Ellipsis = Ellipsis;
Ellipsis.defaultProps = defaultProps;
Ellipsis.displayName = 'NutEllipsis';
//# sourceMappingURL=ellipsis.js.map