"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Empty = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _styleToObj = _interopRequireDefault(require("../utils/style-to-obj"));
var _configprovider = require("../configprovider");
var _styles = _interopRequireDefault(require("./styles"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
/**
 * 内置图片地址
 */
const defaultStatus = {
  empty: 'https://static-ftcms.jd.com/p/files/61a9e3183985005b3958672b.png',
  error: 'https://ftcms.jd.com/p/files/61a9e33ee7dcdbcc0ce62736.png',
  network: 'https://static-ftcms.jd.com/p/files/61a9e31de7dcdbcc0ce62734.png'
};
const Empty = _ref => {
  let {
    description = '无内容',
    image = 'empty',
    imageSize = '',
    style = {},
    children
  } = _ref;
  const {
    locale,
    theme
  } = (0, _configprovider.useConfig)();
  const styles = (0, _styles.default)(theme);
  const getImgUrl = (0, _react.useCallback)(image => {
    const isHttpUrl = image.startsWith('https://') || image.startsWith('http://') || image.startsWith('//');
    const imageUrl = isHttpUrl ? image : defaultStatus[image];
    return imageUrl;
  }, [image]);
  const wrapStyle = [styles.container, (0, _styleToObj.default)(style)];
  const imgStyle = [styles.imgContaienr, imageSize ? {
    width: imageSize,
    height: imageSize
  } : {}];
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: wrapStyle
  }, /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, typeof image === 'string' ? /*#__PURE__*/_react.default.createElement(_reactNative.Image, {
    source: {
      uri: getImgUrl(image)
    },
    style: imgStyle
  }) : image, typeof description === 'string' ? /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.text
  }, description || locale.noData) : description, children));
};
exports.Empty = Empty;
Empty.displayName = 'NutEmpty';
//# sourceMappingURL=empty.js.map