"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _utils = require("../utils");
var _icon = _interopRequireDefault(require("../icon"));
var _fixednav = require("./fixednav");
var _drag = _interopRequireDefault(require("../drag"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const FixedNavDemo = () => {
  const [translated] = (0, _utils.useTranslate)({
    'zh-CN': {
      title1: '基础用法',
      title2: '左侧收起',
      title3: '左侧展开',
      title4: '自定义开',
      title5: '自定义关',
      title6: '支持拖拽'
    },
    'zh-TW': {
      title1: '基礎用法',
      title2: '左側收起',
      title3: '左側展開',
      title4: '自定義開',
      title5: '自定義關',
      title6: '支持拖拽'
    },
    'en-US': {
      title1: 'Basic usage',
      title2: 'Left collapsed',
      title3: 'Left expansion',
      title4: 'Custom On',
      title5: 'Custom Off',
      title6: 'Support drag and drop'
    }
  });
  const navList = [{
    id: 1,
    text: '首页',
    icon: 'https://img11.360buyimg.com/imagetools/jfs/t1/117646/2/11112/1297/5ef83e95E81d77f05/daf8e3b1c81e3c98.png'
  }, {
    id: 2,
    text: '分类',
    icon: 'https://img12.360buyimg.com/imagetools/jfs/t1/119490/8/9568/1798/5ef83e95E968c69a6/dd029326f7d5042e.png'
  }, {
    id: 3,
    text: '购物车',
    num: 2,
    icon: 'https://img14.360buyimg.com/imagetools/jfs/t1/130725/4/3157/1704/5ef83e95Eb976644f/b36c6cfc1cc1a99d.png'
  }, {
    id: 4,
    text: '我的',
    icon: 'https://img12.360buyimg.com/imagetools/jfs/t1/147573/29/1603/1721/5ef83e94E1393a678/5ddf1695ec989373.png'
  }];
  const [visible1, setVisible1] = (0, _react.useState)(false);
  const [visible2, setVisible2] = (0, _react.useState)(false);
  const [visible3, setVisible3] = (0, _react.useState)(false);
  const [visible4, setVisible4] = (0, _react.useState)(false);
  const [visible5, setVisible5] = (0, _react.useState)(false);
  const change1 = value => {
    setVisible1(value);
  };
  const selected1 = (item, event) => {
    console.log(item, event);
  };
  const change2 = value => {
    setVisible2(value);
  };
  const selected2 = (item, event) => {
    console.log(item, event);
  };
  const change3 = value => {
    setVisible3(value);
  };
  const selected3 = (item, event) => {
    console.log(item, event);
  };
  const change4 = value => {
    setVisible4(value);
  };
  const selected4 = (item, event) => {
    console.log(item, event);
  };
  const change5 = value => {
    setVisible5(value);
  };
  const selected5 = (item, event) => {
    console.log(item, event);
  };
  return (
    /*#__PURE__*/
    // <DemoPage>
    _react.default.createElement(_reactNative.View, {
      style: styles.container
    }, /*#__PURE__*/_react.default.createElement(_fixednav.FixedNav, {
      navList: navList,
      activeText: translated.title1,
      position: {
        top: 70
      },
      onChange: change1,
      visible: visible1,
      onSelected: selected1
    }), /*#__PURE__*/_react.default.createElement(_fixednav.FixedNav, {
      navList: navList,
      type: "left",
      position: {
        top: 140
      },
      visible: visible2,
      activeText: translated.title2,
      unActiveText: translated.title3,
      onChange: change2,
      onSelected: selected2
    }), /*#__PURE__*/_react.default.createElement(_fixednav.FixedNav, {
      navList: navList,
      position: {
        top: 210
      },
      visible: visible3,
      onChange: change3,
      onSelected: selected3
    }), /*#__PURE__*/_react.default.createElement(_fixednav.FixedNav, {
      position: {
        top: 280
      },
      type: "left",
      visible: visible4,
      onChange: change4,
      onSelected: selected4,
      slotList: /*#__PURE__*/_react.default.createElement(_reactNative.View, {
        style: styles.ul
      }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
        style: styles.li
      }, "1"), /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
        style: styles.li
      }, "2"), /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
        style: styles.li
      }, "3"), /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
        style: styles.li
      }, "4"), /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
        style: styles.li
      }, "5")),
      slotBtn: /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_icon.default, {
        name: "retweet",
        color: "#fff"
      }), /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
        style: styles.text
      }, visible4 ? translated.title4 : translated.title5))
    }), /*#__PURE__*/_react.default.createElement(_drag.default, {
      direction: "y",
      style: {
        right: 0,
        top: 350
      }
    }, /*#__PURE__*/_react.default.createElement(_fixednav.FixedNav, {
      navList: navList,
      unActiveText: translated.title6,
      visible: visible5,
      onChange: change5,
      onSelected: selected5
    })))
    // </DemoPage>
  );
};

const styles = _reactNative.StyleSheet.create({
  container: {
    height: _utils.DiviceHeight
  },
  ul: {
    flexDirection: 'row',
    width: '100%',
    height: '100%',
    justifyContent: 'space-around',
    alignItems: 'center'
  },
  li: {
    minWidth: 50
  },
  text: {
    width: 26,
    lineHeight: 13,
    fontSize: 12,
    flexShrink: 0,
    textAlign: 'center',
    color: '#fff'
  }
});
var _default = FixedNavDemo;
exports.default = _default;
//# sourceMappingURL=demo.js.map