"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _image = _interopRequireDefault(require("../image"));
var _icon = _interopRequireDefault(require("../icon"));
var _demo = require("../configprovider/styles/demo.page");
var _utils = require("../utils");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const ImageDemo = () => {
  const [translated] = (0, _utils.useTranslate)({
    'zh-CN': {
      basic: '基本用法',
      fill: '填充模式',
      position: '图片位置',
      circle: '圆形图片',
      loading: '加载中提示',
      error: '加载失败',
      lazyload: '图片懒加载'
    },
    'en-US': {
      basic: 'Basic Usage',
      fill: 'Object Fill',
      position: 'Object Position',
      circle: 'Round',
      loading: 'Loading',
      error: 'Error',
      lazyload: 'Lazyload'
    }
  });
  return /*#__PURE__*/_react.default.createElement(_demo.DemoPage, null, /*#__PURE__*/_react.default.createElement(_demo.DemoCard, {
    title: translated.basic
  }, /*#__PURE__*/_react.default.createElement(_image.default, {
    source: {
      uri: 'https://img10.360buyimg.com/ling/jfs/t1/181258/24/10385/53029/60d04978Ef21f2d42/92baeb21f907cd24.jpg'
    },
    width: 90,
    height: 90
  })), /*#__PURE__*/_react.default.createElement(_demo.DemoCard
  // title='填充模式'
  , {
    title: translated.fill
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: {
      width: 350,
      flexDirection: 'row',
      flexWrap: 'wrap',
      backgroundColor: '#fff'
    }
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: {
      flexDirection: 'column',
      alignItems: 'center',
      marginLeft: 10,
      marginBottom: 10
    }
  }, /*#__PURE__*/_react.default.createElement(_image.default, {
    source: {
      uri: 'https://img10.360buyimg.com/ling/jfs/t1/181258/24/10385/53029/60d04978Ef21f2d42/92baeb21f907cd24.jpg'
    },
    resizeMode: "contain",
    width: 90,
    height: 90
  }), /*#__PURE__*/_react.default.createElement(_reactNative.Text, null, "contain")), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: {
      flexDirection: 'column',
      alignItems: 'center',
      marginLeft: 10,
      marginBottom: 10
    }
  }, /*#__PURE__*/_react.default.createElement(_image.default, {
    source: {
      uri: 'https://img10.360buyimg.com/ling/jfs/t1/181258/24/10385/53029/60d04978Ef21f2d42/92baeb21f907cd24.jpg'
    },
    resizeMode: "cover",
    width: 90,
    height: 90
  }), /*#__PURE__*/_react.default.createElement(_reactNative.Text, null, "cover")), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: {
      flexDirection: 'column',
      alignItems: 'center',
      marginLeft: 10,
      marginBottom: 10
    }
  }, /*#__PURE__*/_react.default.createElement(_image.default, {
    source: {
      uri: 'https://img10.360buyimg.com/ling/jfs/t1/181258/24/10385/53029/60d04978Ef21f2d42/92baeb21f907cd24.jpg'
    },
    resizeMode: "stretch",
    width: 90,
    height: 90
  }), /*#__PURE__*/_react.default.createElement(_reactNative.Text, null, "stretch")), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: {
      flexDirection: 'column',
      alignItems: 'center',
      marginLeft: 10,
      marginBottom: 10
    }
  }, /*#__PURE__*/_react.default.createElement(_image.default, {
    source: {
      uri: 'https://img10.360buyimg.com/ling/jfs/t1/181258/24/10385/53029/60d04978Ef21f2d42/92baeb21f907cd24.jpg'
    },
    resizeMode: "repeat",
    width: 90,
    height: 90
  }), /*#__PURE__*/_react.default.createElement(_reactNative.Text, null, "repeat")), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: {
      flexDirection: 'column',
      alignItems: 'center',
      marginLeft: 10,
      marginBottom: 10
    }
  }, /*#__PURE__*/_react.default.createElement(_image.default, {
    source: {
      uri: 'https://img10.360buyimg.com/ling/jfs/t1/181258/24/10385/53029/60d04978Ef21f2d42/92baeb21f907cd24.jpg'
    },
    resizeMode: "center",
    width: 90,
    height: 90
  }), /*#__PURE__*/_react.default.createElement(_reactNative.Text, null, "center")))), /*#__PURE__*/_react.default.createElement(_demo.DemoCard, {
    title: translated.circle
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: {
      flexDirection: 'row',
      flexWrap: 'wrap',
      backgroundColor: '#fff'
    }
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: {
      flexDirection: 'column',
      alignItems: 'center',
      marginLeft: 10,
      marginBottom: 10
    }
  }, /*#__PURE__*/_react.default.createElement(_image.default, {
    source: {
      uri: 'https://img10.360buyimg.com/ling/jfs/t1/181258/24/10385/53029/60d04978Ef21f2d42/92baeb21f907cd24.jpg'
    },
    width: 90,
    height: 90,
    resizeMode: "contain",
    round: true
  }), /*#__PURE__*/_react.default.createElement(_reactNative.Text, null, "contain")), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: {
      flexDirection: 'column',
      alignItems: 'center',
      marginLeft: 10,
      marginBottom: 10
    }
  }, /*#__PURE__*/_react.default.createElement(_image.default, {
    source: {
      uri: 'https://img10.360buyimg.com/ling/jfs/t1/181258/24/10385/53029/60d04978Ef21f2d42/92baeb21f907cd24.jpg'
    },
    width: 90,
    height: 90,
    round: true
  }), /*#__PURE__*/_react.default.createElement(_reactNative.Text, null, "cover")), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: {
      flexDirection: 'column',
      alignItems: 'center',
      marginLeft: 10,
      marginBottom: 10
    }
  }, /*#__PURE__*/_react.default.createElement(_image.default, {
    source: {
      uri: 'https://img10.360buyimg.com/ling/jfs/t1/181258/24/10385/53029/60d04978Ef21f2d42/92baeb21f907cd24.jpg'
    },
    width: 90,
    height: 90,
    radius: 10
  }), /*#__PURE__*/_react.default.createElement(_reactNative.Text, null, "cover")))), /*#__PURE__*/_react.default.createElement(_demo.DemoCard
  // title='加载中图片'
  , {
    title: translated.loading
  }, /*#__PURE__*/_react.default.createElement(_image.default, {
    width: 90,
    height: 90,
    showLoading: true,
    slotLoding: /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_icon.default, {
      name: "loading"
    }))
  })), /*#__PURE__*/_react.default.createElement(_demo.DemoCard
  // title='加载失败'
  , {
    title: translated.error
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: {
      flexDirection: 'row',
      flexWrap: 'wrap',
      backgroundColor: '#fff',
      paddingTop: 10,
      paddingBottom: 10
    }
  }, /*#__PURE__*/_react.default.createElement(_image.default, {
    width: 90,
    height: 90,
    source: {
      uri: 'https://x'
    },
    showError: true,
    style: {
      marginRight: 10
    }
  }, /*#__PURE__*/_react.default.createElement(_icon.default, {
    name: "circle-close"
  })), /*#__PURE__*/_react.default.createElement(_image.default, {
    width: 90,
    height: 90,
    source: {
      uri: 'https://x'
    },
    showError: true
  }))));
};
var _default = ImageDemo;
exports.default = _default;
//# sourceMappingURL=demo.js.map