"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Indicator = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _styleToObj = _interopRequireDefault(require("../utils/style-to-obj"));
var _filterContainerStyle = _interopRequireDefault(require("../utils/filter-container-style"));
var _configprovider = require("../configprovider");
var _styles = _interopRequireDefault(require("./styles"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const defaultProps = {
  size: 3,
  current: 1,
  block: false,
  align: 'center',
  fillZero: true,
  vertical: false
};
const Indicator = props => {
  const {
    size,
    current,
    block,
    align,
    fillZero,
    vertical,
    style
  } = {
    ...defaultProps,
    ...props
  };
  const {
    theme
  } = (0, _configprovider.useConfig)();
  const styles = (0, _styles.default)(theme);
  const renderEles = () => {
    const childs = [];
    for (let item = 1; item <= size; item++) {
      const numberStyle = [styles.number, item === 1 ? styles.firstNumber : {}, item === size ? styles.lastNumber : {}];
      const dotStyle = [styles.dot, item === 1 ? styles.firstDot : {}, item === size ? styles.lastDot : {}, vertical ? styles.verticalDot : {}, vertical && item === 1 ? styles.firstVerticalDot : {}, vertical && item === size ? styles.lastVerticalDot : {}];
      childs.push(item === current ? /*#__PURE__*/_react.default.createElement(_reactNative.View, {
        key: item,
        style: numberStyle
      }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
        style: styles.numberTxt
      }, fillZero && item < 10 ? `0${item}` : item), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
        style: styles.whileLine
      })) : /*#__PURE__*/_react.default.createElement(_reactNative.View, {
        key: item,
        style: dotStyle
      }));
    }
    return childs;
  };
  const wrapStyle = [(0, _filterContainerStyle.default)((0, _styleToObj.default)(style || {})), vertical ? styles.vertical : styles.row, block ? styles.block : {}, block ? styles[`align${align}`] : {}];
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: wrapStyle
  }, renderEles());
};
exports.Indicator = Indicator;
Indicator.defaultProps = defaultProps;
Indicator.displayName = 'NutIndicator';
//# sourceMappingURL=indicator.js.map