"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _input = require("./input");
var _utils = require("../utils");
var _button = _interopRequireDefault(require("../button"));
var _demo = require("../configprovider/styles/demo.page");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const InputDemo = () => {
  const [translated] = (0, _utils.useTranslate)({
    'zh-CN': {
      basic: '基本用法',
      title1: '自定义类型',
      title2: '禁用和只读',
      title3: '显示图标',
      title4: '错误提示',
      title5: '插入按钮',
      title6: '格式化输入内容',
      title7: '显示字数统计',
      title8: '对齐方式',
      title9: '无边框',
      title10: '点击事件',
      text: '文本',
      password: '密码',
      number: '数字',
      digit: '整数',
      tel: '手机号',
      readonly: '只读',
      disabled: '禁用',
      icon: '显示图标',
      clear: '显示清除图标',
      required: '必填项',
      error: '输入内容标红',
      errorBottom: '底部错误提示文案',
      code: '短信验证码',
      codeplaceholder: '请输入短信验证码',
      sendCode: '发送验证码',
      message: '留言',
      noBorder: '无边框',
      click: '点击',
      placeholder1: '在输入时执行格式化',
      text1: '校验文本中无数字',
      placeholder2: '在失焦时执行格式化',
      placeholder3: '请输入留言',
      placeholder4: '文本内容对齐',
      placeholder5: '输入框内容对齐'
    },
    'en-US': {
      basic: 'Basic Usage',
      title1: 'Custom Type',
      title2: 'Readonly And Disabled',
      title3: 'Show Icon',
      title4: 'Error Info',
      title5: 'Insert Button',
      title6: 'Format Value',
      title7: 'Show Word Limit',
      title8: 'Input Align',
      title9: 'No Border',
      title10: 'Click Event',
      text: 'Text',
      password: 'Password',
      number: 'Number',
      digit: 'Digit',
      tel: 'Tel',
      readonly: 'Readonly',
      disabled: 'Disabled',
      icon: 'Show Icon',
      clear: 'Show Clear Icon',
      required: 'Required',
      error: 'Error',
      errorBottom: 'Error Message',
      code: 'Code',
      codeplaceholder: 'Please enter code',
      sendCode: 'Send',
      message: 'Message',
      noBorder: 'No Border',
      click: 'Click',
      placeholder1: 'Format On Change',
      text1: 'Check no digits',
      placeholder2: 'Format On Blur',
      placeholder3: 'Message',
      placeholder4: 'Label Align',
      placeholder5: 'Input Align'
    }
  });
  const [value, UpdateValue] = (0, _react.useState)('');
  const [state, setState] = (0, _react.useState)({
    val1: '',
    text: '',
    password: '',
    number: '',
    digit: '',
    tel: '',
    readonly: '',
    disabled: '',
    showIcon: '',
    required: '',
    error1: '',
    error2: '',
    buttonVal: '',
    format1: '',
    format2: '',
    textarea: '',
    align1: '',
    align2: '',
    noBorder1: '',
    noBorder2: '',
    event: '',
    clear: ''
  });
  const change = (value, event) => {
    console.log('change: ', value);
  };
  const focus = (value, event) => {
    console.log('focus:', value, event);
  };
  const blur = (value, event) => {
    console.log('blur:', value, event);
  };
  const clear = (value, event) => {
    console.log('clear:', value, event);
  };
  const click = value => {
    console.log('click:', value);
  };
  const clickInput = value => {
    console.log('clickInput:', value);
  };
  const clickLeftIcon = value => {
    console.log('clickLeftIcon:', value);
  };
  const clickRightIcon = value => {
    console.log('clickRightIcon:', value);
  };
  const formatter = value => value.replace(/\d/g, '');
  return /*#__PURE__*/_react.default.createElement(_demo.DemoPage, null, /*#__PURE__*/_react.default.createElement(_demo.DemoCard, {
    title: translated.basic
  }, /*#__PURE__*/_react.default.createElement(_input.Input, {
    name: "text",
    label: translated.text,
    placeholder: translated.text,
    defaultValue: value,
    onChange: val => {
      console.log('change value:', val);
      UpdateValue(val);
    }
  })), /*#__PURE__*/_react.default.createElement(_demo.DemoCard, {
    title: translated.title1,
    flexDirection: "column"
  }, /*#__PURE__*/_react.default.createElement(_input.Input, {
    name: "text",
    label: translated.text,
    placeholder: translated.text,
    defaultValue: state.val1
  }), /*#__PURE__*/_react.default.createElement(_input.Input, {
    name: "password",
    label: translated.password,
    placeholder: translated.password,
    defaultValue: state.password,
    type: "password"
  }), /*#__PURE__*/_react.default.createElement(_input.Input, {
    name: "number",
    label: translated.number,
    placeholder: translated.number,
    defaultValue: state.number,
    type: "number"
  }), /*#__PURE__*/_react.default.createElement(_input.Input, {
    name: "digit",
    label: translated.digit,
    placeholder: translated.digit,
    defaultValue: state.digit,
    type: "digit"
  }), /*#__PURE__*/_react.default.createElement(_input.Input, {
    name: "tel",
    label: translated.tel,
    placeholder: translated.tel,
    defaultValue: state.tel,
    type: "tel"
  })), /*#__PURE__*/_react.default.createElement(_demo.DemoCard, {
    title: translated.title2,
    flexDirection: "column"
  }, /*#__PURE__*/_react.default.createElement(_input.Input, {
    label: translated.text,
    placeholder: translated.readonly,
    defaultValue: state.readonly,
    readonly: true
  }), /*#__PURE__*/_react.default.createElement(_input.Input, {
    label: translated.text,
    placeholder: translated.disabled,
    defaultValue: state.disabled,
    disabled: true
  })), /*#__PURE__*/_react.default.createElement(_demo.DemoCard, {
    title: translated.title3,
    flexDirection: "column"
  }, /*#__PURE__*/_react.default.createElement(_input.Input, {
    label: translated.text,
    placeholder: translated.icon,
    defaultValue: state.showIcon,
    leftIcon: "dongdong",
    rightIcon: "ask2"
  }), /*#__PURE__*/_react.default.createElement(_input.Input, {
    label: translated.text,
    placeholder: translated.clear,
    defaultValue: state.clear,
    clearable: true,
    clearSize: "14"
  })), /*#__PURE__*/_react.default.createElement(_demo.DemoCard, {
    title: translated.title4,
    flexDirection: "column"
  }, /*#__PURE__*/_react.default.createElement(_input.Input, {
    label: translated.text,
    placeholder: translated.required,
    defaultValue: state.required,
    required: true
  }), /*#__PURE__*/_react.default.createElement(_input.Input, {
    label: translated.text,
    placeholder: translated.error,
    defaultValue: state.error1,
    error: true
  }), /*#__PURE__*/_react.default.createElement(_input.Input, {
    label: translated.text,
    placeholder: translated.errorBottom,
    defaultValue: state.error2,
    errorMessage: translated.errorBottom
  })), /*#__PURE__*/_react.default.createElement(_demo.DemoCard, {
    title: translated.title5
  }, /*#__PURE__*/_react.default.createElement(_input.Input, {
    label: translated.code,
    placeholder: translated.codeplaceholder,
    defaultValue: state.buttonVal,
    clearable: true,
    center: true,
    slotButton: /*#__PURE__*/_react.default.createElement(_button.default, {
      size: "small",
      type: "primary"
    }, translated.sendCode)
  })), /*#__PURE__*/_react.default.createElement(_demo.DemoCard, {
    title: translated.title6,
    subTitle: translated.text1,
    flexDirection: "column"
  }, /*#__PURE__*/_react.default.createElement(_input.Input, {
    label: translated.text,
    placeholder: translated.placeholder1,
    defaultValue: state.format1,
    formatter: formatter
  }), /*#__PURE__*/_react.default.createElement(_input.Input, {
    label: translated.text,
    placeholder: translated.placeholder2,
    defaultValue: state.format2,
    formatter: formatter,
    formatTrigger: "onBlur"
  })), /*#__PURE__*/_react.default.createElement(_demo.DemoCard, {
    title: translated.title7
  }, /*#__PURE__*/_react.default.createElement(_input.Input, {
    label: translated.message,
    placeholder: translated.message,
    defaultValue: state.textarea,
    type: "textarea",
    showWordLimit: true,
    rows: "2",
    maxlength: "50"
  })), /*#__PURE__*/_react.default.createElement(_demo.DemoCard, {
    title: translated.title8,
    flexDirection: "column"
  }, /*#__PURE__*/_react.default.createElement(_input.Input, {
    label: translated.text,
    placeholder: translated.placeholder4,
    defaultValue: state.align1,
    labelAlign: "right"
  }), /*#__PURE__*/_react.default.createElement(_input.Input, {
    label: translated.text,
    placeholder: translated.placeholder5,
    defaultValue: state.align2,
    inputAlign: "right"
  })), /*#__PURE__*/_react.default.createElement(_demo.DemoCard, {
    title: translated.title9,
    flexDirection: "column"
  }, /*#__PURE__*/_react.default.createElement(_input.Input, {
    label: translated.noBorder,
    placeholder: translated.noBorder,
    defaultValue: state.noBorder1,
    border: false
  }), /*#__PURE__*/_react.default.createElement(_input.Input, {
    label: translated.noBorder,
    placeholder: translated.noBorder,
    defaultValue: state.noBorder2,
    border: false
  })), /*#__PURE__*/_react.default.createElement(_demo.DemoCard, {
    title: translated.title10
  }, /*#__PURE__*/_react.default.createElement(_input.Input, {
    label: translated.click,
    placeholder: translated.click,
    defaultValue: state.event,
    leftIcon: "dongdong",
    rightIcon: "ask2",
    clearable: true,
    onChange: change,
    onFocus: focus,
    onBlur: blur,
    onClear: clear,
    onClick: click,
    onClickInput: clickInput,
    onClickLeftIcon: clickLeftIcon,
    onClickRightIcon: clickRightIcon
  })));
};
var _default = InputDemo;
exports.default = _default;
//# sourceMappingURL=demo.js.map