"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _utils = require("../utils");
var _ = _interopRequireDefault(require("."));
var _cell = _interopRequireDefault(require("../cell"));
var _toast = _interopRequireDefault(require("../toast"));
var _demo = require("../configprovider/styles/demo.page");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const InputNumberDemo = () => {
  const [translated] = (0, _utils.useTranslate)({
    'zh-CN': {
      '6333c786': '超出限制事件触发',
      '0137871a': '异步演示2秒后更改',
      '84aa6bce': '基础用法',
      '55cc5fb7': '步长设置',
      '9636103a': '限制输入范围',
      '181965e2': '禁用操作',
      e7b2ce1f: '只读禁用输入框',
      '3a42134b': '支持小数点',
      '65bafb1d': '支持异步修改',
      '7e2394ae': '自定义按钮大小'
    },
    'zh-TW': {
      '6333c786': '超出限制事件觸發',
      '0137871a': '異步演示2秒後更改',
      '84aa6bce': '基礎用法',
      '55cc5fb7': '步長設置',
      '9636103a': '限制輸入範圍',
      '181965e2': '禁用操作',
      e7b2ce1f: '只讀禁用輸入框',
      '3a42134b': '支持小數點',
      '65bafb1d': '支持異步修改',
      '7e2394ae': '自定義按鈕大小'
    },
    'en-US': {
      '6333c786': 'Exceeded limit event triggered',
      '0137871a': 'Async demo changes after 2 seconds',
      '84aa6bce': 'Basic usage',
      '55cc5fb7': 'Step size setting',
      '9636103a': 'Limit input range',
      '181965e2': 'Disable operation',
      e7b2ce1f: 'read-only disabled input box',
      '3a42134b': 'support decimal point',
      '65bafb1d': 'Support for asynchronous modification',
      '7e2394ae': 'custom button size'
    }
  });
  const [inputState, setInputState] = (0, _react.useState)({
    val1: 1,
    val2: 0,
    val3: 10,
    val4: 0,
    val5: 1,
    val6: 5.5,
    val7: 1,
    val8: 1
  });
  const overlimit = e => {
    console.log(e);
    _toast.default.warn(translated['6333c786']);
  };
  const onChange = value => {
    _toast.default.loading('异步演示 2 秒后更改');
    setTimeout(() => {
      inputState.val7 = Number(value);
      setInputState({
        ...inputState
      });
    }, 2000);
  };
  return /*#__PURE__*/_react.default.createElement(_demo.DemoPage, null, /*#__PURE__*/_react.default.createElement(_demo.DemoCard, {
    title: translated['84aa6bce'],
    flexDirection: "column",
    padding: 0
  }, /*#__PURE__*/_react.default.createElement(_cell.default, null, /*#__PURE__*/_react.default.createElement(_.default, {
    modelValue: inputState.val1
  }))), /*#__PURE__*/_react.default.createElement(_demo.DemoCard, {
    title: translated['55cc5fb7'],
    flexDirection: "column",
    padding: 0
  }, /*#__PURE__*/_react.default.createElement(_cell.default, null, /*#__PURE__*/_react.default.createElement(_.default, {
    modelValue: inputState.val2,
    step: "5"
  }))), /*#__PURE__*/_react.default.createElement(_demo.DemoCard, {
    title: translated['9636103a'],
    flexDirection: "column",
    padding: 0
  }, /*#__PURE__*/_react.default.createElement(_cell.default, null, /*#__PURE__*/_react.default.createElement(_.default, {
    modelValue: inputState.val3,
    min: "10",
    max: "20",
    onOverlimit: overlimit
  }))), /*#__PURE__*/_react.default.createElement(_demo.DemoCard, {
    title: translated['181965e2'],
    flexDirection: "column",
    padding: 0
  }, /*#__PURE__*/_react.default.createElement(_cell.default, null, /*#__PURE__*/_react.default.createElement(_.default, {
    modelValue: inputState.val4,
    disabled: true
  }))), /*#__PURE__*/_react.default.createElement(_demo.DemoCard, {
    title: translated['e7b2ce1f'],
    flexDirection: "column",
    padding: 0
  }, /*#__PURE__*/_react.default.createElement(_cell.default, null, /*#__PURE__*/_react.default.createElement(_.default, {
    modelValue: inputState.val5,
    readonly: true
  }))), /*#__PURE__*/_react.default.createElement(_demo.DemoCard, {
    title: translated['3a42134b'],
    flexDirection: "column",
    padding: 0
  }, /*#__PURE__*/_react.default.createElement(_cell.default, null, /*#__PURE__*/_react.default.createElement(_.default, {
    modelValue: inputState.val6,
    step: "0.1",
    decimalPlaces: "1",
    readonly: true
  }))), /*#__PURE__*/_react.default.createElement(_demo.DemoCard, {
    title: translated['65bafb1d'],
    flexDirection: "column",
    padding: 0
  }, /*#__PURE__*/_react.default.createElement(_cell.default, null, /*#__PURE__*/_react.default.createElement(_.default, {
    modelValue: inputState.val7,
    onChangeFuc: onChange,
    isAsync: true
  }))), /*#__PURE__*/_react.default.createElement(_demo.DemoCard, {
    title: translated['7e2394ae'],
    flexDirection: "column",
    padding: 0
  }, /*#__PURE__*/_react.default.createElement(_cell.default, null, /*#__PURE__*/_react.default.createElement(_.default, {
    modelValue: inputState.val8,
    buttonSize: "30",
    inputWidth: "250"
  }))));
};
var _default = InputNumberDemo;
exports.default = _default;
//# sourceMappingURL=demo.js.map