"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _utils = require("../utils");
var _cell = _interopRequireDefault(require("../cell"));
var _ = _interopRequireDefault(require("."));
var _demo = require("../configprovider/styles/demo.page");
var _reactNative = require("react-native");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const PopupDemo = () => {
  const [translated] = (0, _utils.useTranslate)({
    'zh-CN': {
      ce5c5446: '基础类型',
      c38a08ef: '展示弹出层',
      b840c88f: '正文',
      a74a1fd4: '弹出位置',
      '8dab2f66': '顶部弹出',
      cfbdc781: '底部弹出',
      c3a3a1d2: '左侧弹出',
      e51e4582: '右侧弹出',
      '7db1a8b2': '关闭图标',
      a52bef0c: '图标位置',
      d04fcbda: '自定义图标',
      '0aaad620': '圆角弹框'
    },
    'zh-TW': {
      ce5c5446: '基礎類型',
      c38a08ef: '展示彈出層',
      b840c88f: '正文',
      a74a1fd4: '彈出位置',
      '8dab2f66': '頂部彈出',
      cfbdc781: '底部彈出',
      c3a3a1d2: '左側彈出',
      e51e4582: '右側彈出',
      '7db1a8b2': '關閉圖標',
      a52bef0c: '圖標位置',
      d04fcbda: '自定義圖標',
      '0aaad620': '圓角彈框'
    },
    'en-US': {
      ce5c5446: 'base type',
      c38a08ef: 'Show popup',
      b840c88f: 'text',
      a74a1fd4: 'popup location',
      '8dab2f66': 'top pop',
      cfbdc781: 'bottom pop',
      c3a3a1d2: 'pop up left',
      e51e4582: 'pop up right',
      '7db1a8b2': 'close icon',
      a52bef0c: 'Icon position',
      d04fcbda: 'custom icon',
      '0aaad620': 'Rounded popup'
    }
  });
  const [showBasic, setShowBasic] = (0, _react.useState)(false);
  const [showTop, setShowTop] = (0, _react.useState)(false);
  const [showBottom, setShowBottom] = (0, _react.useState)(false);
  const [showLeft, setShowLeft] = (0, _react.useState)(false);
  const [showRight, setShowRight] = (0, _react.useState)(false);
  const [showIcon, setShowIcon] = (0, _react.useState)(false);
  const [showIconPosition, setShowIconPosition] = (0, _react.useState)(false);
  const [showIconDefine, setShowIconDefine] = (0, _react.useState)(false);
  const [showBottomRound, setShowBottomRound] = (0, _react.useState)(false);
  const [showMountNode, setShowMountNode] = (0, _react.useState)(false);
  const [showMutiple, setShowMutiple] = (0, _react.useState)(false);
  const [showMutipleInner, setShowMutipleInner] = (0, _react.useState)(false);
  return /*#__PURE__*/_react.default.createElement(_demo.DemoPage, null, /*#__PURE__*/_react.default.createElement(_demo.DemoCard, {
    title: translated.ce5c5446,
    flexDirection: "column",
    padding: 0
  }, /*#__PURE__*/_react.default.createElement(_cell.default, {
    title: translated.c38a08ef,
    isLink: true,
    onClick: () => {
      setShowBasic(true);
    }
  })), /*#__PURE__*/_react.default.createElement(_.default, {
    closeOnClickOverlay: true,
    visible: showBasic,
    style: {
      backgroundColor: '#fff'
    },
    onClose: () => {
      setShowBasic(false);
    },
    onClickOverlay: () => {
      setShowBasic(false);
    }
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: {
      width: 120,
      height: 80,
      justifyContent: 'center',
      alignItems: 'center'
    }
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, null, translated.b840c88f))), /*#__PURE__*/_react.default.createElement(_demo.DemoCard, {
    title: translated.a74a1fd4,
    flexDirection: "column",
    padding: 0
  }, /*#__PURE__*/_react.default.createElement(_cell.default, {
    title: translated['8dab2f66'],
    isLink: true,
    onClick: () => {
      setShowTop(true);
    }
  }), /*#__PURE__*/_react.default.createElement(_cell.default, {
    title: translated.cfbdc781,
    isLink: true,
    onClick: () => {
      setShowBottom(true);
    }
  }), /*#__PURE__*/_react.default.createElement(_cell.default, {
    title: translated.c3a3a1d2,
    isLink: true,
    onClick: () => {
      setShowLeft(true);
    }
  }), /*#__PURE__*/_react.default.createElement(_cell.default, {
    title: translated.e51e4582,
    isLink: true,
    onClick: () => {
      setShowRight(true);
    }
  })), /*#__PURE__*/_react.default.createElement(_.default, {
    closeOnClickOverlay: true,
    visible: showTop,
    style: {
      width: '100%',
      height: '30%',
      backgroundColor: '#fff'
    },
    position: "top",
    onClose: () => {
      setShowTop(false);
    },
    onClickOverlay: () => {
      setShowTop(false);
    }
  }), /*#__PURE__*/_react.default.createElement(_.default, {
    closeOnClickOverlay: true,
    visible: showBottom,
    style: {
      width: '100%',
      height: '30%',
      backgroundColor: '#fff'
    },
    position: "bottom",
    onClose: () => {
      setShowBottom(false);
    },
    onClickOverlay: () => {
      setShowBottom(false);
    }
  }), /*#__PURE__*/_react.default.createElement(_.default, {
    closeOnClickOverlay: true,
    visible: showLeft,
    style: {
      width: '30%',
      height: '100%',
      backgroundColor: '#fff'
    },
    position: "left",
    onClose: () => {
      setShowLeft(false);
    },
    onClickOverlay: () => {
      setShowLeft(false);
    }
  }), /*#__PURE__*/_react.default.createElement(_.default, {
    closeOnClickOverlay: true,
    visible: showRight,
    style: {
      width: '30%',
      height: '100%',
      backgroundColor: '#fff'
    },
    position: "right",
    onClose: () => {
      setShowRight(false);
    },
    onClickOverlay: () => {
      setShowRight(false);
    }
  }), /*#__PURE__*/_react.default.createElement(_demo.DemoCard, {
    title: translated['7db1a8b2'],
    flexDirection: "column",
    padding: 0
  }, /*#__PURE__*/_react.default.createElement(_cell.default, {
    title: translated['7db1a8b2'],
    isLink: true,
    onClick: () => {
      setShowIcon(true);
    }
  }), /*#__PURE__*/_react.default.createElement(_cell.default, {
    title: translated.a52bef0c,
    isLink: true,
    onClick: () => {
      setShowIconPosition(true);
    }
  }), /*#__PURE__*/_react.default.createElement(_cell.default, {
    title: translated.d04fcbda,
    isLink: true,
    onClick: () => {
      setShowIconDefine(true);
    }
  })), /*#__PURE__*/_react.default.createElement(_.default, {
    closeable: true,
    closeOnClickOverlay: true,
    visible: showIcon,
    style: {
      height: '30%',
      width: '100%',
      backgroundColor: '#fff'
    },
    position: "bottom",
    onClose: () => {
      setShowIcon(false);
    },
    onClickOverlay: () => {
      setShowIcon(false);
    },
    onClickCloseIcon: () => {
      setShowIcon(false);
    }
  }), /*#__PURE__*/_react.default.createElement(_.default, {
    closeable: true,
    closeOnClickOverlay: true,
    visible: showIconPosition,
    style: {
      height: '30%',
      width: '100%',
      backgroundColor: '#fff'
    },
    closeIconPosition: "top-left",
    position: "bottom",
    onClose: () => {
      setShowIconPosition(false);
    },
    onClickOverlay: () => {
      setShowIconPosition(false);
    },
    onClickCloseIcon: () => {
      setShowIconPosition(false);
    }
  }), /*#__PURE__*/_react.default.createElement(_.default, {
    closeable: true,
    closeOnClickOverlay: true,
    visible: showIconDefine,
    style: {
      height: '30%',
      width: '100%',
      backgroundColor: '#fff'
    },
    closeIcon: "heart",
    position: "bottom",
    onClose: () => {
      setShowIconDefine(false);
    },
    onClickOverlay: () => {
      setShowIconDefine(false);
    },
    onClickCloseIcon: () => {
      setShowIconDefine(false);
    }
  }), /*#__PURE__*/_react.default.createElement(_demo.DemoCard, {
    title: translated['0aaad620'],
    flexDirection: "column",
    padding: 0
  }, /*#__PURE__*/_react.default.createElement(_cell.default, {
    title: translated['0aaad620'],
    isLink: true,
    onClick: () => {
      setShowBottomRound(true);
    }
  })), /*#__PURE__*/_react.default.createElement(_.default, {
    closeable: true,
    closeOnClickOverlay: true,
    visible: showBottomRound,
    style: {
      height: '30%',
      width: '100%',
      backgroundColor: '#fff'
    },
    position: "bottom",
    round: true,
    onClose: () => {
      setShowBottomRound(false);
    },
    onClickOverlay: () => {
      setShowBottomRound(false);
    },
    onClickCloseIcon: () => {
      setShowBottomRound(false);
    }
  }));
};
var _default = PopupDemo;
exports.default = _default;
//# sourceMappingURL=demo.js.map