"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _utils = require("../utils");
var _icon = _interopRequireDefault(require("../icon"));
var _ = _interopRequireDefault(require("."));
var _button = _interopRequireDefault(require("../button"));
var _demo = require("../configprovider/styles/demo.page");
var _reactNative = require("react-native");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const ProgressDemo = () => {
  const [translated] = (0, _utils.useTranslate)({
    'zh-CN': {
      basic: '基础用法',
      customStyle: '线形进度条-设置颜色高度',
      noShowPercentage: '百分比不显示',
      showPercentage: '百分比外显',
      showInsidePercentage: '百分比内显',
      customContent: '百分比内显自定义',
      customSize: '自定义尺寸',
      statusDisplay: '状态显示',
      dynamicChange: '动态改变',
      reduce: '减少',
      add: '增加'
    },
    'zh-TW': {
      basic: '基礎用法',
      customStyle: '線形進度條-設置顏色高度',
      noShowPercentage: '百分比不顯示',
      showPercentage: '百分比外顯',
      showInsidePercentage: '百分比內顯',
      customContent: '百分比內顯自定義',
      customSize: '自定義尺寸',
      statusDisplay: '狀態顯示',
      dynamicChange: '動態改變',
      reduce: '減少',
      add: '增加'
    },
    'en-US': {
      basic: 'Basic Usage',
      customStyle: 'Custom Style',
      noShowPercentage: 'Don’t Show Percentage',
      showPercentage: 'Percentage displayed outside',
      showInsidePercentage: 'Percentage displayed inside',
      customContent: 'Custom Content',
      customSize: 'Custom Size',
      statusDisplay: 'Status Display',
      dynamicChange: 'Dynamic Change',
      reduce: 'reduce',
      add: 'add'
    }
  });
  const [value, setValue] = (0, _react.useState)(0);
  return /*#__PURE__*/_react.default.createElement(_demo.DemoPage, null, /*#__PURE__*/_react.default.createElement(_demo.DemoCard, {
    title: translated.basic
  }, /*#__PURE__*/_react.default.createElement(_.default, {
    percentage: 30
  })), /*#__PURE__*/_react.default.createElement(_demo.DemoCard, {
    title: translated.customStyle
  }, /*#__PURE__*/_react.default.createElement(_.default, {
    percentage: 30,
    strokeWidth: "20",
    textColor: "red"
  })), /*#__PURE__*/_react.default.createElement(_demo.DemoCard, {
    title: translated.noShowPercentage
  }, /*#__PURE__*/_react.default.createElement(_.default, {
    percentage: 50,
    showText: false,
    style: {}
  })), /*#__PURE__*/_react.default.createElement(_demo.DemoCard, {
    title: translated.showPercentage
  }, /*#__PURE__*/_react.default.createElement(_.default, {
    percentage: 30
  })), /*#__PURE__*/_react.default.createElement(_demo.DemoCard, {
    title: translated.showInsidePercentage
  }, /*#__PURE__*/_react.default.createElement(_.default, {
    percentage: 60,
    textInside: true
  })), /*#__PURE__*/_react.default.createElement(_demo.DemoCard, {
    title: translated.showInsidePercentage
  }, /*#__PURE__*/_react.default.createElement(_.default, {
    percentage: 60,
    textInside: true
  })), /*#__PURE__*/_react.default.createElement(_demo.DemoCard, {
    title: translated.customContent
  }, /*#__PURE__*/_react.default.createElement(_.default, {
    percentage: 60,
    textInside: true,
    textColor: "#fff",
    textType: "icon",
    iconSize: '30',
    iconName: 'https://img11.360buyimg.com/imagetools/jfs/t1/137646/13/7132/1648/5f4c748bE43da8ddd/a3f06d51dcae7b60.png'
  })), /*#__PURE__*/_react.default.createElement(_demo.DemoCard, {
    title: translated.customSize
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: {
      width: _utils.DiviceWidth - 70
    }
  }, /*#__PURE__*/_react.default.createElement(_.default, {
    percentage: 30,
    size: "small",
    textInside: true
  })), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: {
      width: _utils.DiviceWidth - 70
    }
  }, /*#__PURE__*/_react.default.createElement(_.default, {
    percentage: 30,
    size: "base",
    textInside: true
  })), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: {
      width: _utils.DiviceWidth - 70
    }
  }, /*#__PURE__*/_react.default.createElement(_.default, {
    percentage: 70,
    size: "large",
    textInside: true
  }))), /*#__PURE__*/_react.default.createElement(_demo.DemoCard, {
    title: translated.statusDisplay
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: {
      width: _utils.DiviceWidth - 70
    }
  }, /*#__PURE__*/_react.default.createElement(_.default, {
    percentage: 30,
    strokeColor: ['#05ebd0', '#2f7bfc']
  })), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: {
      width: _utils.DiviceWidth - 70
    }
  }, /*#__PURE__*/_react.default.createElement(_.default, {
    percentage: 100,
    strokeColor: ['#a6ed59', '#2c9628']
  }, /*#__PURE__*/_react.default.createElement(_icon.default, {
    size: 30,
    name: "https://img11.360buyimg.com/imagetools/jfs/t1/137646/13/7132/1648/5f4c748bE43da8ddd/a3f06d51dcae7b60.png"
  })))), /*#__PURE__*/_react.default.createElement(_demo.DemoCard, {
    title: translated.dynamicChange
  }, /*#__PURE__*/_react.default.createElement(_.default, {
    percentage: value
  })), /*#__PURE__*/_react.default.createElement(_demo.DemoCard, {
    title: ''
  }, /*#__PURE__*/_react.default.createElement(_button.default, {
    type: "default",
    style: {
      margin: 8
    }
    // eslint-disable-next-line consistent-return
    ,
    onPress: () => {
      let num = value;
      if (value <= 0) {
        return false;
      }
      num -= 10;
      setValue(num);
    }
  }, translated.reduce), /*#__PURE__*/_react.default.createElement(_button.default, {
    type: "primary",
    style: {
      margin: 8
    }
    // eslint-disable-next-line consistent-return
    ,
    onPress: () => {
      let num = value;
      if (value >= 100) {
        return false;
      }
      num += 10;
      setValue(num);
    }
  }, translated.add)));
};
var _default = ProgressDemo;
exports.default = _default;
//# sourceMappingURL=demo.js.map