"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Rate = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _index = _interopRequireDefault(require("../icon/index"));
var _typings = require("../utils/typings");
var _pt = _interopRequireDefault(require("../utils/pt"));
var _configprovider = require("../configprovider");
var _styles = _interopRequireDefault(require("./styles"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const defaultProps = {
  ..._typings.ComponentDefaults,
  count: 5,
  modelValue: 0,
  minimizeValue: 0,
  iconSize: 18,
  activeColor: '',
  voidColor: '',
  checkedIcon: 'https://img14.360buyimg.com/imagetools/jfs/t1/178306/5/32174/1560/63aa5874F7f248435/de34c5cb1004c28a.png',
  uncheckedIcon: 'https://img12.360buyimg.com/imagetools/jfs/t1/107746/12/36994/2452/63aa921fF7c7bef7e/115a8ce629f9b9bc.png',
  halfcheckedIcon: 'https://img14.360buyimg.com/imagetools/jfs/t1/44371/39/20611/1799/63aa5874Fd9f96bc4/30253e864c3feb69.png',
  disabled: false,
  readonly: false,
  allowHalf: false,
  spacing: 14
};
const Rate = props => {
  const {
    count,
    modelValue,
    minimizeValue,
    iconSize,
    activeColor,
    voidColor,
    checkedIcon,
    uncheckedIcon,
    halfcheckedIcon,
    disabled,
    readonly,
    allowHalf,
    spacing,
    onChange,
    iconClassPrefix,
    iconFontClassName
  } = {
    ...defaultProps,
    ...props
  };
  const {
    theme
  } = (0, _configprovider.useConfig)();
  const mStyles = (0, _styles.default)(theme);
  const [countArray, setCountArray] = (0, _react.useState)([1, 2, 3, 4, 5]);
  const [score, setScore] = (0, _react.useState)(0);
  (0, _react.useEffect)(() => {
    const tmp = [];
    for (let i = 1; i <= Number(count); i++) {
      tmp.push(i);
    }
    setCountArray(tmp);
  }, [count]);
  (0, _react.useEffect)(() => {
    setScore(Math.max(Number(modelValue), Number(minimizeValue)));
  }, [modelValue]);
  const pxCheck = value => {
    return value ? (0, _pt.default)(parseInt(`${value}`)) : 0;
  };
  const onClick = (e, index) => {
    e.preventDefault();
    e.stopPropagation();
    if (disabled || readonly) return;
    let value = 0;
    if (!(index === 1 && score === index)) {
      value = index;
    }
    value = Math.max(value, Number(minimizeValue));
    setScore(value);
    onChange && onChange(value);
  };
  const onHalfClick = (event, n) => {
    event.preventDefault();
    event.stopPropagation();
    if (disabled || readonly) return;
    const value = Math.max(Number(minimizeValue), n - 0.5);
    setScore(value);
    onChange && onChange(value);
  };
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: mStyles.nut_rate_container
  }, countArray.map(n => {
    return /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
      key: n,
      disabled: disabled || readonly,
      onPress: event => {
        if (allowHalf) {
          if (_reactNative.Platform.OS === 'web') {
            if (event.nativeEvent.offsetX >= pxCheck(iconSize) / 2) {
              onClick(event, n);
            } else {
              onHalfClick(event, n);
            }
          } else {
            if (event.nativeEvent.locationX >= pxCheck(iconSize) / 2) {
              onClick(event, n);
            } else {
              onHalfClick(event, n);
            }
          }
        } else {
          onClick(event, n);
        }
      },
      style: {
        marginRight: pxCheck(spacing),
        flexDirection: 'row'
      }
    }, allowHalf && score > n - 1 && score - 0.5 == n - 1 ? /*#__PURE__*/_react.default.createElement(_index.default, {
      classPrefix: iconClassPrefix,
      fontClassName: iconFontClassName,
      onClick: event => onHalfClick(event, n),
      color: n <= score ? activeColor : voidColor,
      size: iconSize,
      name: halfcheckedIcon
    }) : /*#__PURE__*/_react.default.createElement(_index.default, {
      classPrefix: iconClassPrefix,
      fontClassName: iconFontClassName,
      size: iconSize,
      name: n <= score ? checkedIcon : uncheckedIcon,
      color: n <= score ? activeColor : voidColor
    }));
  }));
};
exports.Rate = Rate;
Rate.defaultProps = defaultProps;
Rate.displayName = 'NutRate';
//# sourceMappingURL=rate.js.map