"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _index = _interopRequireDefault(require("./index"));
var _subsidenavbar = _interopRequireDefault(require("../subsidenavbar"));
var _sidenavbaritem = _interopRequireDefault(require("../sidenavbaritem"));
var _cell = _interopRequireDefault(require("../cell"));
var _utils = require("../utils");
var _demo = require("../configprovider/styles/demo.page");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const SideNavBarDemo = () => {
  const [translated] = (0, _utils.useTranslate)({
    'zh-CN': {
      text1: '基础用法',
      text2: '导航嵌套（建议最多三层）',
      level1: '一级',
      level2: '二级',
      level3: '三级',
      title: '标题',
      title1: '左侧弹出',
      title2: '右侧弹出',
      title3: '显示',
      title4: '首页',
      content: '内容'
    },
    'zh-TW': {
      text1: '基礎用法',
      text2: '導航嵌套（建議最多三層）',
      level1: '一級',
      level2: '二級',
      level3: '三級',
      title: '標題',
      title1: '左側彈出',
      title2: '右側彈出',
      title3: '顯示',
      title4: '首頁',
      content: '內容'
    },
    'en-US': {
      text1: 'Basic Usage',
      text2: 'Navigation nesting (recommended up to three levels)',
      level1: 'Level One',
      level2: 'Level Two',
      level3: 'Level Three',
      title: 'title',
      title1: 'left pop up',
      title2: 'right pop up',
      title3: 'show',
      title4: 'front page',
      content: 'content'
    },
    'id-ID': {
      text1: 'Penggunaan dasar',
      text2: 'Sarang navigasi (disarankan hingga tiga tingkat)',
      level1: 'tingkat satu',
      level2: 'Sekunder',
      level3: 'Tingkat tiga',
      title: 'judul',
      title1: 'munculan kiri',
      title2: 'sisi kanan muncul',
      title3: 'menunjukkan',
      title4: 'halaman Depan',
      content: 'isi'
    }
  });
  const {
    text1,
    text2,
    level1,
    level2,
    level3,
    title,
    title1,
    title2,
    title3,
    title4,
    content
  } = translated;
  const [navBarState, setNavBarState] = (0, _react.useState)({
    visible: false,
    position: 'left'
  });
  const [showThird, setShowThird] = (0, _react.useState)(false);
  const changeNarBar = function (visible) {
    let position = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : navBarState.position;
    setNavBarState({
      visible,
      position
    });
    setShowThird(false);
  };
  return /*#__PURE__*/_react.default.createElement(_demo.DemoPage, null, /*#__PURE__*/_react.default.createElement(_demo.DemoCard, {
    title: text1,
    flexDirection: "column"
  }, /*#__PURE__*/_react.default.createElement(_cell.default, {
    title: title1,
    isLink: true,
    onClick: () => {
      changeNarBar(true, 'left');
    }
  }), /*#__PURE__*/_react.default.createElement(_cell.default, {
    title: title2,
    isLink: true,
    onClick: () => {
      changeNarBar(true, 'right');
    }
  })), /*#__PURE__*/_react.default.createElement(_demo.DemoCard, {
    title: text2,
    flexDirection: "column"
  }, /*#__PURE__*/_react.default.createElement(_cell.default, {
    title: title3,
    isLink: true,
    onClick: () => {
      changeNarBar(true, 'right');
      setShowThird(true);
    }
  }), /*#__PURE__*/_react.default.createElement(_index.default, {
    title: title4,
    visible: navBarState.visible,
    position: navBarState.position,
    onClose: () => {
      changeNarBar(false);
    }
  }, /*#__PURE__*/_react.default.createElement(_subsidenavbar.default, {
    title: `${level1}${title}`,
    ikey: "1-0"
  }, /*#__PURE__*/_react.default.createElement(_sidenavbaritem.default, {
    title: `${level1}${content}1`,
    ikey: "1-01"
  }), /*#__PURE__*/_react.default.createElement(_sidenavbaritem.default, {
    title: `${level1}${content}2`,
    ikey: "1-02"
  }), /*#__PURE__*/_react.default.createElement(_subsidenavbar.default, {
    title: `${level2}${title}`,
    ikey: "2-0"
  }, /*#__PURE__*/_react.default.createElement(_sidenavbaritem.default, {
    title: `${level2}${content}1`,
    ikey: "2-01"
  }), /*#__PURE__*/_react.default.createElement(_sidenavbaritem.default, {
    title: `${level2}${content}2`,
    ikey: "2-02"
  }), showThird ? /*#__PURE__*/_react.default.createElement(_subsidenavbar.default, {
    title: `${level3}${title}`,
    ikey: "3-0"
  }, /*#__PURE__*/_react.default.createElement(_sidenavbaritem.default, {
    title: `${level3}${content}1`,
    ikey: "3-01"
  }), /*#__PURE__*/_react.default.createElement(_sidenavbaritem.default, {
    title: `${level3}${content}2`,
    ikey: "3-02"
  })) : null)), /*#__PURE__*/_react.default.createElement(_subsidenavbar.default, {
    open: false,
    title: `${level1}${title}-2`,
    ikey: "1-1"
  }, /*#__PURE__*/_react.default.createElement(_sidenavbaritem.default, {
    title: `${level1}${content}2-1`,
    ikey: "1-11"
  }), /*#__PURE__*/_react.default.createElement(_sidenavbaritem.default, {
    title: `${level1}${content}2-2`,
    ikey: "1-12"
  })))));
};
var _default = SideNavBarDemo;
exports.default = _default;
//# sourceMappingURL=demo.js.map