"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _swipe = _interopRequireDefault(require("../swipe"));
var _button = _interopRequireDefault(require("../button"));
var _inputnumber = _interopRequireDefault(require("../inputnumber"));
var _demo = require("../configprovider/styles/demo.page");
var _pt = _interopRequireDefault(require("../utils/pt"));
var _utils = require("../utils");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const SwipeDemo = () => {
  const [translated] = (0, _utils.useTranslate)({
    'zh-CN': {
      title1: '基础用法',
      title2: '禁用滑动',
      title3: '事件监听',
      title4: '非同步控制',
      title5: '自定义內容',
      click: '点击',
      sure: '确定',
      del: '删除',
      huadong: '滑动',
      choose: '选择',
      event: '事件',
      goods: '商品',
      collect: '收藏',
      open: '打开',
      close: '关闭',
      tips: '提示',
      cart: '加入购物车',
      leftDel: '左滑删除',
      disabled: '禁用滑动',
      chooseTips: '确定选择吗？',
      deleteTips: '确定删除吗？'
    },
    'zh-TW': {
      title1: '基礎用法',
      title2: '禁用滑動',
      title3: '事件監聽',
      title4: '非同步控制',
      title5: '自定義內容',
      click: '點擊',
      sure: '確定',
      del: '刪除',
      huadong: '滑動',
      choose: '選擇',
      event: '事件',
      goods: '商品',
      collect: '收藏',
      open: '打開',
      close: '關閉',
      tips: '提示',
      cart: '加入購物車',
      leftDel: '左滑刪除',
      disabled: '禁用滑動',
      chooseTips: '確定選擇嗎？ ',
      deleteTips: '確定刪除嗎？ '
    },
    'en-US': {
      title1: 'Basic usage',
      title2: 'Disable sliding',
      title3: 'Event monitoring',
      title4: 'Asynchronous control',
      title5: 'Custom content',
      click: 'click',
      sure: 'ok',
      del: 'delete',
      choose: 'select',
      event: 'event',
      goods: 'goods',
      collect: 'collect',
      open: 'open',
      close: 'close',
      tips: 'tips',
      cart: 'add to shopping cart',
      leftDel: 'left slide delete',
      disabled: 'Disable sliding',
      chooseTips: 'are you sure to choose?',
      deleteTips: 'are you sure to delete?'
    },
    'id-ID': {
      title1: 'penggunaan dasar',
      title2: 'Lumpuhkan sliding',
      title3: 'Monitor waktu',
      title4: 'kontrol asinkron',
      title5: 'isi suai',
      click: 'klik',
      sure: 'OK',
      del: 'Hapus',
      huadong: 'sliding',
      choose: 'pilih',
      event: 'peristiwa',
      goods: 'barang',
      collect: 'kumpulkan',
      open: 'buka',
      close: 'tutup',
      tips: 'tip',
      cart: 'tambah ke kereta belanja',
      leftDel: 'padam slide kiri',
      disabled: 'Lumpuhkan sliding',
      chooseTips: 'Apakah kamu benar-benar memilih?',
      deleteTips: 'Apakah Anda yakin untuk menghapus?'
    }
  });
  const refDom = (0, _react.useRef)(null);
  const beforeClose = () => {
    setTimeout(() => {
      refDom.current && refDom.current.close();
    }, 2000);
  };
  return /*#__PURE__*/_react.default.createElement(_demo.DemoPage, null, /*#__PURE__*/_react.default.createElement(_demo.DemoCard
  // title='基本用法'
  , {
    title: translated.title1
  }, /*#__PURE__*/_react.default.createElement(_swipe.default, {
    leftWidth: 100,
    rightWidth: 100,
    leftAction: /*#__PURE__*/_react.default.createElement(_button.default, {
      style: {
        flex: 1
      },
      shape: "square",
      type: "success"
    }, translated.choose),
    rightAction: /*#__PURE__*/_react.default.createElement(_button.default, {
      style: {
        flex: 1
      },
      type: "primary",
      shape: "square"
    }, translated.del)
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, null, /*#__PURE__*/_react.default.createElement(_reactNative.Text, null, translated.huadong)))), /*#__PURE__*/_react.default.createElement(_demo.DemoCard
  // title='禁用用法'
  , {
    title: translated.title2
  }, /*#__PURE__*/_react.default.createElement(_swipe.default, {
    rightWidth: 100,
    rightAction: /*#__PURE__*/_react.default.createElement(_button.default, {
      shape: "square",
      type: "danger"
    }, translated.del),
    disabled: true
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, null, /*#__PURE__*/_react.default.createElement(_reactNative.Text, null, translated.disabled)))), /*#__PURE__*/_react.default.createElement(_demo.DemoCard
  // title='事件监听'
  , {
    title: translated.title3
  }, /*#__PURE__*/_react.default.createElement(_swipe.default, {
    leftWidth: 100,
    rightWidth: 200,
    leftAction: /*#__PURE__*/_react.default.createElement(_button.default, {
      style: {
        flex: 1
      },
      shape: "square",
      type: "success"
    }, translated.choose),
    rightAction: /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      style: {
        flexDirection: 'row',
        alignItems: 'center'
      }
    }, /*#__PURE__*/_react.default.createElement(_button.default, {
      style: {
        flex: 1
      },
      shape: "square",
      type: "danger"
    }, translated.del), /*#__PURE__*/_react.default.createElement(_button.default, {
      style: {
        flex: 1
      },
      shape: "square",
      type: "info"
    }, translated.collect)),
    onActionClick: (e, position) => {
      alert(e + '  ' + position);
    },
    onOpen: _ref => {
      let {
        name,
        position
      } = _ref;
      alert(name + ' open ' + position);
    },
    onClose: _ref2 => {
      let {
        name,
        position
      } = _ref2;
      alert(name + '  close ' + position);
    }
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, null, /*#__PURE__*/_react.default.createElement(_reactNative.Text, null, translated.event)))), /*#__PURE__*/_react.default.createElement(_demo.DemoCard
  // title='异步控制'
  , {
    title: translated.title4
  }, /*#__PURE__*/_react.default.createElement(_swipe.default, {
    ref: refDom,
    beforeClose: beforeClose,
    leftWidth: 100,
    rightWidth: 100,
    leftAction: /*#__PURE__*/_react.default.createElement(_button.default, {
      style: {
        flex: 1
      },
      shape: "square",
      type: "success"
    }, translated.choose),
    rightAction: /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_button.default, {
      style: {
        flex: 1
      },
      shape: "square",
      type: "danger"
    }, translated.del))
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, null, /*#__PURE__*/_react.default.createElement(_reactNative.Text, null, translated.event)))), /*#__PURE__*/_react.default.createElement(_demo.DemoCard
  // title='自定义内容'
  , {
    title: translated.title5
  }, /*#__PURE__*/_react.default.createElement(_swipe.default, {
    rightWidth: 100,
    rightAction: /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_button.default, {
      style: {
        flex: 1
      },
      shape: "square",
      type: "danger"
    }, translated.cart))
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: {
      flexDirection: 'row',
      alignItems: 'center',
      justifyContent: 'space-between',
      width: (0, _pt.default)(640)
    }
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, null, translated.goods), /*#__PURE__*/_react.default.createElement(_inputnumber.default, null)))));
};
var _default = SwipeDemo;
exports.default = _default;
//# sourceMappingURL=demo.js.map