"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _swiper = _interopRequireDefault(require("../swiper"));
var _swiperitem = _interopRequireDefault(require("../swiperitem"));
var _icon = _interopRequireDefault(require("../icon"));
var _demo = require("../configprovider/styles/demo.page");
var _utils = require("../utils");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const SwiperDemo = () => {
  const [translated] = (0, _utils.useTranslate)({
    'zh-CN': {
      basic: '基本用法',
      asyc: '异步加载(3s)',
      dynamicDel: '动态加载',
      size: '自定义大小',
      indicator: '自定义指示器',
      btns: '手动切换',
      vertical: '垂直方向',
      horizontalCenter: '水平居中展示',
      verticalCenter: '垂直居中展示'
    },
    'en-US': {
      basic: 'Basic Usage',
      asyc: 'Asynchronous loading(3s)',
      dynamicDel: 'Dynamic loading',
      size: 'Custom size',
      indicator: 'Custom indicator',
      btns: 'Manual switching',
      vertical: 'Vertical direction',
      horizontalCenter: 'Horizontal center display',
      verticalCenter: 'Vertical center display'
    }
  });
  const swiperRef = _react.default.useRef(null);
  const [list, setList] = (0, _react.useState)([]);
  const [list1, setList1] = (0, _react.useState)(['https://storage.360buyimg.com/jdc-article/NutUItaro34.jpg', 'https://storage.360buyimg.com/jdc-article/NutUItaro2.jpg', 'https://storage.360buyimg.com/jdc-article/welcomenutui.jpg', 'https://storage.360buyimg.com/jdc-article/fristfabu.jpg']);
  const [current, setCurrent] = (0, _react.useState)(1);
  const [current2, setCurrent2] = (0, _react.useState)(1);
  const onChange3 = e => {
    setCurrent(e + 1);
  };
  const onChange4 = e => {
    setCurrent2(e + 1);
  };
  const handlePrev = () => {
    swiperRef.current.prev();
  };
  const handleNext = () => {
    swiperRef.current.next();
  };
  (0, _react.useEffect)(() => {
    setTimeout(() => {
      const arr = ['https://storage.360buyimg.com/jdc-article/NutUItaro34.jpg', 'https://storage.360buyimg.com/jdc-article/NutUItaro2.jpg', 'https://storage.360buyimg.com/jdc-article/welcomenutui.jpg', 'https://storage.360buyimg.com/jdc-article/fristfabu.jpg'];
      setList(arr);
    }, 3000);
  }, []);
  (0, _react.useEffect)(() => {
    setTimeout(() => {
      const arr = list1.slice();
      arr.splice(1, 1);
      setList1(arr);
    }, 3000);
  }, []);
  return /*#__PURE__*/_react.default.createElement(_demo.DemoPage, null, /*#__PURE__*/_react.default.createElement(_demo.DemoCard
  // title='基本用法'
  , {
    title: translated.basic
  }, /*#__PURE__*/_react.default.createElement(_swiper.default, {
    width: 320,
    height: 150,
    paginationColor: "#426543",
    paginationBgColor: "#426ddd",
    autoPlay: 3000,
    initPage: 0,
    paginationVisible: true
  }, /*#__PURE__*/_react.default.createElement(_swiperitem.default, null, /*#__PURE__*/_react.default.createElement(_reactNative.Image, {
    source: {
      uri: 'https://storage.360buyimg.com/jdc-article/NutUItaro34.jpg'
    },
    style: {
      width: '100%',
      height: 150
    }
  })), /*#__PURE__*/_react.default.createElement(_swiperitem.default, null, /*#__PURE__*/_react.default.createElement(_reactNative.Image, {
    source: {
      uri: 'https://storage.360buyimg.com/jdc-article/NutUItaro2.jpg'
    },
    style: {
      width: '100%',
      height: 150
    }
  })), /*#__PURE__*/_react.default.createElement(_swiperitem.default, null, /*#__PURE__*/_react.default.createElement(_reactNative.Image, {
    source: {
      uri: 'https://storage.360buyimg.com/jdc-article/welcomenutui.jpg'
    },
    style: {
      width: '100%',
      height: 150
    }
  })), /*#__PURE__*/_react.default.createElement(_swiperitem.default, null, /*#__PURE__*/_react.default.createElement(_reactNative.Image, {
    source: {
      uri: 'https://storage.360buyimg.com/jdc-article/fristfabu.jpg'
    },
    style: {
      width: '100%',
      height: 150
    }
  })))), /*#__PURE__*/_react.default.createElement(_demo.DemoCard
  // title='异步加载'
  , {
    title: translated.asyc
  }, /*#__PURE__*/_react.default.createElement(_swiper.default, {
    width: 320,
    height: 150,
    paginationColor: "#426543",
    autoPlay: 1000,
    initPage: 0,
    paginationVisible: true
  }, list.map(item => {
    return /*#__PURE__*/_react.default.createElement(_swiperitem.default, {
      key: item
    }, /*#__PURE__*/_react.default.createElement(_reactNative.Image, {
      source: {
        uri: item
      },
      style: {
        width: '100%',
        height: 150
      }
    }));
  }))), /*#__PURE__*/_react.default.createElement(_demo.DemoCard
  // title='动态加载'
  , {
    title: translated.dynamicDel
  }, /*#__PURE__*/_react.default.createElement(_swiper.default, {
    width: 320,
    height: 150,
    paginationColor: "#426543",
    autoPlay: 1000,
    initPage: 0,
    paginationVisible: true
  }, list1.map(item => {
    return /*#__PURE__*/_react.default.createElement(_swiperitem.default, {
      key: item
    }, /*#__PURE__*/_react.default.createElement(_reactNative.Image, {
      source: {
        uri: item
      },
      style: {
        width: '100%',
        height: 150
      }
    }));
  }))), /*#__PURE__*/_react.default.createElement(_demo.DemoCard
  // title='自定义大小'
  , {
    title: translated.size
  }, /*#__PURE__*/_react.default.createElement(_swiper.default, {
    width: 290,
    height: 150,
    paginationColor: "#426543",
    paginationBgColor: "#426ddd",
    autoPlay: 3000,
    initPage: 0,
    paginationVisible: true
  }, /*#__PURE__*/_react.default.createElement(_swiperitem.default, null, /*#__PURE__*/_react.default.createElement(_reactNative.Image, {
    source: {
      uri: 'https://storage.360buyimg.com/jdc-article/NutUItaro34.jpg'
    },
    style: {
      width: '100%',
      height: 150
    }
  })), /*#__PURE__*/_react.default.createElement(_swiperitem.default, null, /*#__PURE__*/_react.default.createElement(_reactNative.Image, {
    source: {
      uri: 'https://storage.360buyimg.com/jdc-article/NutUItaro2.jpg'
    },
    style: {
      width: '100%',
      height: 150
    }
  })), /*#__PURE__*/_react.default.createElement(_swiperitem.default, null, /*#__PURE__*/_react.default.createElement(_reactNative.Image, {
    source: {
      uri: 'https://storage.360buyimg.com/jdc-article/welcomenutui.jpg'
    },
    style: {
      width: '100%',
      height: 150
    }
  })), /*#__PURE__*/_react.default.createElement(_swiperitem.default, null, /*#__PURE__*/_react.default.createElement(_reactNative.Image, {
    source: {
      uri: 'https://storage.360buyimg.com/jdc-article/fristfabu.jpg'
    },
    style: {
      width: '100%',
      height: 150
    }
  })))), /*#__PURE__*/_react.default.createElement(_demo.DemoCard
  // title='自定义分页指示器'
  , {
    title: translated.indicator
  }, /*#__PURE__*/_react.default.createElement(_swiper.default, {
    initPage: 0,
    loop: true,
    width: 320,
    height: 150,
    onChange: onChange3,
    pageContent: /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      style: {
        position: 'absolute',
        bottom: 0,
        right: 0,
        width: 46,
        height: 22,
        borderRadius: 22,
        justifyContent: 'center',
        alignItems: 'center',
        backgroundColor: 'rgba(0,0,0,0.3)'
      }
    }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
      style: {
        fontSize: 14,
        color: '#fff'
      }
    }, " ", current, "/4 "))
  }, /*#__PURE__*/_react.default.createElement(_swiperitem.default, null, /*#__PURE__*/_react.default.createElement(_reactNative.Image, {
    source: {
      uri: 'https://storage.360buyimg.com/jdc-article/NutUItaro34.jpg'
    },
    style: {
      width: '100%',
      height: 150
    }
  })), /*#__PURE__*/_react.default.createElement(_swiperitem.default, null, /*#__PURE__*/_react.default.createElement(_reactNative.Image, {
    source: {
      uri: 'https://storage.360buyimg.com/jdc-article/NutUItaro2.jpg'
    },
    style: {
      width: '100%',
      height: 150
    }
  })), /*#__PURE__*/_react.default.createElement(_swiperitem.default, null, /*#__PURE__*/_react.default.createElement(_reactNative.Image, {
    source: {
      uri: 'https://storage.360buyimg.com/jdc-article/welcomenutui.jpg'
    },
    style: {
      width: '100%',
      height: 150
    }
  })), /*#__PURE__*/_react.default.createElement(_swiperitem.default, null, /*#__PURE__*/_react.default.createElement(_reactNative.Image, {
    source: {
      uri: 'https://storage.360buyimg.com/jdc-article/fristfabu.jpg'
    },
    style: {
      width: '100%',
      height: 150
    }
  })))), /*#__PURE__*/_react.default.createElement(_demo.DemoCard
  // title='手动切换'
  , {
    title: translated.btns
  }, /*#__PURE__*/_react.default.createElement(_swiper.default, {
    width: 320,
    height: 150,
    ref: swiperRef,
    loop: true,
    initPage: 1,
    onChange: onChange4,
    pageContent: /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      style: {
        position: 'absolute',
        bottom: 0,
        right: 0,
        width: 46,
        height: 22,
        borderRadius: 22,
        justifyContent: 'center',
        alignItems: 'center',
        backgroundColor: 'rgba(0,0,0,0.3)'
      }
    }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
      style: {
        fontSize: 14,
        color: '#fff'
      }
    }, current2, "/4"))
  }, list.map(item => {
    return /*#__PURE__*/_react.default.createElement(_swiperitem.default, {
      key: item
    }, /*#__PURE__*/_react.default.createElement(_reactNative.Image, {
      source: {
        uri: item
      },
      style: {
        width: '100%',
        height: 150
      }
    }));
  })), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: {
      width: '100%',
      position: 'absolute',
      top: '50%',
      zIndex: 1,
      flexDirection: 'row',
      justifyContent: 'space-between'
    }
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: {
      alignItems: 'center',
      justifyContent: 'center',
      width: 20,
      height: 30,
      backgroundColor: 'rgba(0, 0, 0, 0.2)'
    },
    onTouchStart: () => {
      handlePrev();
    }
  }, /*#__PURE__*/_react.default.createElement(_icon.default, {
    name: "left"
  })), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: {
      alignItems: 'center',
      justifyContent: 'center',
      width: 20,
      height: 30,
      backgroundColor: 'rgba(0, 0, 0, 0.2)'
    },
    onTouchStart: () => {
      handleNext();
    }
  }, /*#__PURE__*/_react.default.createElement(_icon.default, {
    name: "right"
  })))), /*#__PURE__*/_react.default.createElement(_demo.DemoCard
  // title='垂直方向'
  , {
    title: translated.vertical
  }, /*#__PURE__*/_react.default.createElement(_swiper.default, {
    loop: true,
    initPage: 0,
    width: 320,
    direction: "vertical",
    autoPlay: 3000,
    height: 150,
    paginationVisible: true
  }, /*#__PURE__*/_react.default.createElement(_swiperitem.default, null, /*#__PURE__*/_react.default.createElement(_reactNative.Image, {
    source: {
      uri: 'https://storage.360buyimg.com/jdc-article/NutUItaro34.jpg'
    },
    style: {
      width: '100%',
      height: 150
    }
  })), /*#__PURE__*/_react.default.createElement(_swiperitem.default, null, /*#__PURE__*/_react.default.createElement(_reactNative.Image, {
    source: {
      uri: 'https://storage.360buyimg.com/jdc-article/NutUItaro2.jpg'
    },
    style: {
      width: '100%',
      height: 150
    }
  })), /*#__PURE__*/_react.default.createElement(_swiperitem.default, null, /*#__PURE__*/_react.default.createElement(_reactNative.Image, {
    source: {
      uri: 'https://storage.360buyimg.com/jdc-article/welcomenutui.jpg'
    },
    style: {
      width: '100%',
      height: 150
    }
  })), /*#__PURE__*/_react.default.createElement(_swiperitem.default, null, /*#__PURE__*/_react.default.createElement(_reactNative.Image, {
    source: {
      uri: 'https://storage.360buyimg.com/jdc-article/fristfabu.jpg'
    },
    style: {
      width: '100%',
      height: 150
    }
  })))));
};
var _default = SwiperDemo;
exports.default = _default;
//# sourceMappingURL=demo.js.map