"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _reactNative = require("react-native");
var _px = _interopRequireDefault(require("../utils/px"));
var _pt = _interopRequireDefault(require("../utils/pt"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
var _default = theme => {
  return _reactNative.StyleSheet.create({
    container: {
      width: '100%',
      flexDirection: 'column'
    },
    tableBorder: {
      borderTopColor: theme['$table-border-color'],
      borderTopWidth: (0, _px.default)(theme['$table-border-width'])
    },
    rightBorder: {
      borderRightWidth: (0, _px.default)(theme['$table-border-width']),
      borderRightColor: theme['$table-border-color']
    },
    mainStyle: {
      width: '100%',
      overflow: 'hidden',
      backgroundColor: theme.$white
    },
    mainStriped: {},
    mainHead: {
      flexDirection: 'row'
    },
    mainHeadTr: {
      flex: 1,
      flexDirection: 'row'
    },
    mainBody: {},
    summary: {
      backgroundColor: theme.$white,
      padding: (0, _pt.default)(20)
    },
    summaryText: {
      fontSize: (0, _pt.default)(28),
      color: '#1a1a1a'
    },
    nodata: {
      justifyContent: 'center',
      alignItems: 'center',
      backgroundColor: '#fff',
      padding: (0, _pt.default)(20)
    },
    nodataText: {
      fontSize: (0, _pt.default)(28),
      color: '#1a1a1a'
    },
    mainHeadTh: {
      flexDirection: 'row',
      alignItems: 'center',
      flex: 1,
      paddingTop: (0, _pt.default)(theme['$table-cols-padding']),
      paddingBottom: (0, _pt.default)(theme['$table-cols-padding']),
      paddingLeft: (0, _pt.default)(theme['$table-cols-padding']),
      paddingRight: (0, _pt.default)(theme['$table-cols-padding'])
    },
    trBorder: {
      borderBottomColor: theme['$table-border-color'],
      borderBottomWidth: (0, _px.default)(1),
      borderLeftColor: theme['$table-border-color'],
      borderLeftWidth: (0, _px.default)(1)
    },
    trAlignleft: {
      justifyContent: 'flex-start'
    },
    trAligncenter: {
      justifyContent: 'center'
    },
    trAlignright: {
      justifyContent: 'flex-end'
    },
    title: {
      fontSize: (0, _pt.default)(28),
      color: '#1a1a1a'
    },
    trtd: {
      flex: 1,
      flexDirection: 'row',
      padding: (0, _pt.default)(20)
    },
    mainBodyTr: {
      flexDirection: 'row'
    }
  });
};
exports.default = _default;
//# sourceMappingURL=styles.js.map