"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _utils = require("../utils");
var _ = _interopRequireDefault(require("."));
var _cell = _interopRequireDefault(require("../cell"));
var _toast = _interopRequireDefault(require("../toast"));
var _demo = require("../configprovider/styles/demo.page");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const TimeSelectDemo = () => {
  const [translated] = (0, _utils.useTranslate)({
    'zh-CN': {
      text1: '您选择了',
      text2: '请选择配送时间',
      text3: '配送时间',
      text4: '5月20日(今天)',
      text5: '5月21日(星期三)'
    },
    'zh-TW': {
      text1: '您选择了',
      text2: '请选择配送时间',
      text3: '配送时间',
      text4: '5月20日(今天)',
      text5: '5月21日(星期三)'
    },
    'en-US': {
      text1: 'selected',
      text2: 'delivery time',
      text3: 'Pickup time',
      text4: 'May 20 (Today)',
      text5: 'May 21 (Wednesday)'
    }
  });
  const [visible1, SetVisible1] = (0, _react.useState)(false);
  const currentKey = 0;
  const dates = [{
    'pannel-key': '0',
    date: translated.text4
  }, {
    'pannel-key': '1',
    date: translated.text5
  }];
  const times = [{
    key: '0',
    list: ['9:00-10:00', '10:00-11:00', '11:00-12:00']
  }, {
    key: '1',
    list: ['9:00-10:00', '10:00-11:00']
  }];
  const handleClick = () => {
    SetVisible1(true);
  };
  // 点击弹层 X 或者弹层外区域触发事件
  const handleSelect = selectTimeData => {
    SetVisible1(false);
    _toast.default.text(`您选择了: ${JSON.stringify(selectTimeData)}`);
  };
  // 选择日期触发回调事件
  const handlePannelChange = (pannelKey, selectTimeData) => {
    console.log('pannelKey, selectTimeData: ', pannelKey, selectTimeData);
  };
  // 选择配送时间触发回调事件
  const handleTimeChange = (time, selectTimeData) => {
    console.log('time, selectTimeData: ', time, selectTimeData);
  };
  return /*#__PURE__*/_react.default.createElement(_demo.DemoPage, null, /*#__PURE__*/_react.default.createElement(_cell.default, {
    title: translated.text2,
    onClick: handleClick
  }), /*#__PURE__*/_react.default.createElement(_.default, {
    visible: visible1,
    height: "50%",
    title: translated.text3,
    multiple: true,
    currentKey: currentKey,
    dates: dates,
    times: times,
    onSelect: handleSelect,
    onPannelChange: handlePannelChange,
    onTimeChange: handleTimeChange
  }));
};
var _default = TimeSelectDemo;
exports.default = _default;
//# sourceMappingURL=demo.js.map