"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TrendArrow = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _styleToObj = _interopRequireDefault(require("../utils/style-to-obj"));
var _filterContainerStyle = _interopRequireDefault(require("../utils/filter-container-style"));
var _filterTextStyle = _interopRequireDefault(require("../utils/filter-text-style"));
var _icon = _interopRequireDefault(require("../icon"));
var _configprovider = require("../configprovider");
var _styles = _interopRequireDefault(require("./styles"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const TrendArrow = _ref => {
  let {
    rate = 0,
    digits = 2,
    showSign = false,
    showZero = false,
    arrowLeft = false,
    syncTextColor = true,
    textColor = '#333',
    riseColor = '#fa2c19',
    dropColor = '#64b578',
    iconSize = 12,
    upIconName = 'triangle-up',
    downIconName = 'triangle-down',
    children,
    style
  } = _ref;
  const rateTrend = (0, _react.useRef)(rate > 0);
  const {
    theme
  } = (0, _configprovider.useConfig)();
  const styles = (0, _styles.default)(theme);
  const myFixed = function (num) {
    let digit = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 2;
    if (Object.is(parseFloat(num), NaN)) {
      return console.log(`传入的值：${num}不是一个数字`);
    }
    num = parseFloat(num);
    const numPow = Math.pow(10, digit);
    return (Math.round((num + Number.EPSILON) * numPow) / numPow).toFixed(digit);
  };
  const calcStyle = (() => {
    const arrowColor = rateTrend.current ? riseColor : dropColor;
    const textEquArrowColor = syncTextColor ? arrowColor : textColor;
    const style = {
      color: rate === 0 ? textColor : textEquArrowColor
    };
    return style;
  })();
  const calcRate = (() => {
    rateTrend.current = rate > 0;
    const absRate = Math.abs(rate);
    if (!showZero && rate === 0) {
      return '--';
    }
    const resultRate = `${showSign && rate !== 0 ? rateTrend.current ? '+' : '-' : ''}${myFixed(Number(absRate), digits)}%`;
    return resultRate;
  })();
  const calcIconProps = (() => {
    const iconProps = {
      name: rateTrend.current ? upIconName : downIconName,
      color: rateTrend.current ? riseColor : dropColor,
      size: iconSize
    };
    return iconProps;
  })();
  const renderContent = arrowLeft => {
    const textStyle = [styles.text, !arrowLeft ? styles.iconAfter : styles.iconBefore, calcStyle, (0, _filterTextStyle.default)((0, _styleToObj.default)(style || {}))];
    return /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
      style: textStyle
    }, calcRate);
  };
  const wrapStyle = [styles.container, (0, _filterContainerStyle.default)((0, _styleToObj.default)(style || {}))];
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: wrapStyle
  }, !arrowLeft && renderContent(!arrowLeft), children || /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, Number(rate) !== 0 && /*#__PURE__*/_react.default.createElement(_icon.default, {
    size: calcIconProps.size,
    name: calcIconProps.name,
    color: calcIconProps.color
  })), arrowLeft && renderContent(!arrowLeft));
};
exports.TrendArrow = TrendArrow;
TrendArrow.displayName = 'NutTrendArrow';
//# sourceMappingURL=trendarrow.js.map