"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "ComponentDefaults", {
  enumerable: true,
  get: function () {
    return _typings.ComponentDefaults;
  }
});
Object.defineProperty(exports, "DiviceHeight", {
  enumerable: true,
  get: function () {
    return _deviceHeight.default;
  }
});
Object.defineProperty(exports, "DiviceWidth", {
  enumerable: true,
  get: function () {
    return _deviceWidth.default;
  }
});
Object.defineProperty(exports, "StatusBarHeight", {
  enumerable: true,
  get: function () {
    return _statusBarHeight.default;
  }
});
exports.formatNumber = void 0;
Object.defineProperty(exports, "useTranslate", {
  enumerable: true,
  get: function () {
    return _useTranslate.default;
  }
});
var _typings = require("./typings");
var _deviceWidth = _interopRequireDefault(require("./deviceWidth"));
var _deviceHeight = _interopRequireDefault(require("./deviceHeight"));
var _statusBarHeight = _interopRequireDefault(require("./statusBarHeight"));
var _useTranslate = _interopRequireDefault(require("../hooks/useTranslate"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const trimExtraChar = (value, char, regExp) => {
  const index = value.indexOf(char);
  if (index === -1) {
    return value;
  }
  if (char === '-' && index !== 0) {
    return value.slice(0, index);
  }
  return value.slice(0, index + 1) + value.slice(index).replace(regExp, '');
};
const formatNumber = function (value) {
  let allowDot = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : true;
  let allowMinus = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : true;
  if (allowDot) {
    value = trimExtraChar(value, '.', /\./g);
  } else {
    value = value.split('.')[0];
  }
  if (allowMinus) {
    value = trimExtraChar(value, '-', /-/g);
  } else {
    value = value.replace(/-/, '');
  }
  const regExp = allowDot ? /[^-0-9.]/g : /[^-0-9]/g;
  return value.replace(regExp, '');
};
exports.formatNumber = formatNumber;
//# sourceMappingURL=index.js.map