"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.VirtualList = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const defaultProps = {};
const VirtualList = props => {
  const {
    sourceData = [],
    ItemRender,
    horizontal = false,
    handleScroll,
    onScroll,
    className,
    containerSize,
    extraData = {},
    ...rest
  } = props;
  if (horizontal) {
    return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      style: [containerSize ? {
        height: containerSize
      } : {}]
    }, /*#__PURE__*/_react.default.createElement(_reactNative.FlatList, {
      data: sourceData,
      onScroll: e => {
        onScroll && onScroll(e);
      },
      extraData: extraData,
      horizontal: horizontal,
      renderItem: ItemRender
    }));
  }
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [containerSize ? {
      height: containerSize
    } : {
      flex: 1
    }]
  }, /*#__PURE__*/_react.default.createElement(_reactNative.FlatList, {
    data: sourceData,
    onScroll: e => {
      onScroll && onScroll(e);
    },
    extraData: extraData,
    horizontal: horizontal,
    renderItem: ItemRender
  }));
};
exports.VirtualList = VirtualList;
VirtualList.defaultProps = defaultProps;
VirtualList.displayName = 'NutVirtualList';
//# sourceMappingURL=virtuallist.js.map