function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React from 'react';
import { TouchableOpacity, View, Text } from 'react-native';
import Popup from '../popup';
import { useConfig } from '../configprovider';
import actionSheetStyles from './styles';
const defaultProps = {
  cancelTxt: '',
  optionTag: 'name',
  optionSubTag: 'subname',
  chooseTagValue: '',
  title: '',
  color: '#ee0a24',
  description: '',
  menuItems: [],
  onCancel: () => {},
  onChoose: () => {},
  visible: false,
  className: '',
  style: {}
};
export const ActionSheet = props => {
  const {
    children,
    cancelTxt,
    optionTag,
    optionSubTag,
    chooseTagValue,
    title,
    color,
    description,
    menuItems,
    onCancel,
    onChoose,
    visible,
    className,
    style,
    ...rest
  } = {
    ...defaultProps,
    ...props
  };
  const {
    theme
  } = useConfig();
  const mStyles = actionSheetStyles(theme);
  const isHighlight = item => {
    return props.chooseTagValue && props.chooseTagValue === item[props.optionTag || 'name'] ? props.color : '#1a1a1a';
  };
  const cancelActionSheet = () => {
    onCancel && onCancel();
  };
  const chooseItem = (item, index) => {
    if (!item.disable) {
      onChoose && onChoose(item, index);
    }
  };
  return /*#__PURE__*/React.createElement(Popup, {
    round: true,
    closeOnClickOverlay: true,
    visible: visible,
    position: "bottom",
    onClose: () => {
      onCancel && onCancel();
    }
  }, /*#__PURE__*/React.createElement(View, _extends({
    style: style
  }, rest), title ? /*#__PURE__*/React.createElement(View, {
    style: mStyles.nut_actionsheet_items_top
  }, /*#__PURE__*/React.createElement(Text, null, title)) : null, description ? /*#__PURE__*/React.createElement(View, {
    style: title ? mStyles.nut_actionsheet_items : mStyles.nut_actionsheet_items_top
  }, /*#__PURE__*/React.createElement(Text, {
    style: mStyles.nut_actionsheet_desc
  }, description)) : null, menuItems.length ? /*#__PURE__*/React.createElement(View, null, menuItems.map((item, index) => {
    return /*#__PURE__*/React.createElement(TouchableOpacity, {
      activeOpacity: 1,
      style: index != 0 || description || title ? mStyles.nut_actionsheet_items : mStyles.nut_actionsheet_items_top,
      key: index,
      onPress: () => chooseItem(item, index)
    }, item[optionTag] ? /*#__PURE__*/React.createElement(View, null, /*#__PURE__*/React.createElement(Text, {
      style: {
        color: item.disable ? 'grey' : isHighlight(item)
      }
    }, item[optionTag])) : null, item[optionSubTag] ? /*#__PURE__*/React.createElement(View, null, /*#__PURE__*/React.createElement(Text, {
      style: [mStyles.nut_actionsheet_sub_text, {
        color: item.disable ? 'grey' : '#1a1a1a'
      }]
    }, item[optionSubTag])) : null);
  })) : children, cancelTxt && cancelTxt != '' ? /*#__PURE__*/React.createElement(TouchableOpacity, {
    style: mStyles.nut_actionsheet_items_cancle,
    activeOpacity: 1,
    onPress: () => cancelActionSheet()
  }, /*#__PURE__*/React.createElement(Text, null, cancelTxt)) : null));
};
ActionSheet.defaultProps = defaultProps;
ActionSheet.displayName = 'NutActionSheet';
//# sourceMappingURL=actionsheet.js.map