import React from 'react';
import { View, Text } from 'react-native';
import { useConfig } from '../configprovider';
import cellGroupStyles from './styles';
const defaultProps = {
  title: '',
  desc: '',
  titleSlot: null,
  descSlot: null
};
export const CellGroup = props => {
  const {
    children,
    title,
    desc,
    titleSlot,
    descSlot
  } = {
    ...defaultProps,
    ...props
  };
  const {
    theme
  } = useConfig();
  const styles = cellGroupStyles(theme);
  let cloneChildren = children;
  if (Array.isArray(cloneChildren) || Object.prototype.toString.call(cloneChildren) === '[object Object]') {
    if (Array.isArray(cloneChildren)) {
      cloneChildren = cloneChildren.map((o, i) => {
        return /*#__PURE__*/React.cloneElement(o, {
          key: i,
          cellGroup: true,
          isLast: i + 1 == cloneChildren.length
        });
      });
    } else {
      cloneChildren = /*#__PURE__*/React.cloneElement(cloneChildren, {
        cellGroup: true,
        isLast: true
      });
    }
  }
  const wrapStyle = [styles.container];
  return /*#__PURE__*/React.createElement(View, {
    style: wrapStyle
  }, titleSlot || /*#__PURE__*/React.createElement(React.Fragment, null, title ? /*#__PURE__*/React.createElement(View, {
    style: styles.titleContainer
  }, /*#__PURE__*/React.createElement(Text, {
    style: styles.title
  }, title)) : null), descSlot || /*#__PURE__*/React.createElement(React.Fragment, null, desc ? /*#__PURE__*/React.createElement(View, {
    style: styles.descContainer
  }, /*#__PURE__*/React.createElement(Text, {
    style: styles.desc
  }, desc)) : null), /*#__PURE__*/React.createElement(View, {
    style: styles.wrap
  }, cloneChildren));
};
CellGroup.defaultProps = defaultProps;
CellGroup.displayName = 'NutCellGroup';
//# sourceMappingURL=cellgroup.js.map