import React from 'react';
import { View, Text } from 'react-native';
import Divider from '../divider';
import { DemoPage, DemoCard } from '../configprovider/styles/demo.page';
import { useTranslate } from '../utils';
const DividerDemo = () => {
  const [translated] = useTranslate({
    'zh-CN': {
      basic: '基本用法',
      withText: '展示文本',
      contentPosition: '内容位置',
      dashed: '虚线',
      customStyle: '自定义样式',
      verticalDivider: '垂直分割线',
      text: '文本',
      link: '链接'
    },
    'en-US': {
      basic: 'Basic Usage',
      withText: 'With Text',
      contentPosition: 'Content Position',
      dashed: 'Dashed',
      customStyle: 'Custom Style',
      verticalDivider: 'Vertical Divider',
      text: 'Text',
      link: 'Link'
    }
  });
  return /*#__PURE__*/React.createElement(DemoPage, null, /*#__PURE__*/React.createElement(DemoCard
  // title='基本用法'
  , {
    title: translated.basic
  }, /*#__PURE__*/React.createElement(Divider, null)), /*#__PURE__*/React.createElement(DemoCard
  // title='展示文本'
  , {
    title: translated.withText
  }, /*#__PURE__*/React.createElement(Divider, null, translated.text)), /*#__PURE__*/React.createElement(DemoCard
  // title='内容位置'
  , {
    title: translated.contentPosition,
    style: {
      marginBottom: 10
    }
  }, /*#__PURE__*/React.createElement(Divider, {
    contentPosition: "left"
  }, translated.text)), /*#__PURE__*/React.createElement(DemoCard, null, /*#__PURE__*/React.createElement(Divider, {
    contentPosition: "right"
  }, translated.text)), /*#__PURE__*/React.createElement(DemoCard
  // title='虚线'
  , {
    title: translated.dashed,
    style: {
      marginBottom: 10
    }
  }, /*#__PURE__*/React.createElement(Divider, {
    dashed: true
  })), /*#__PURE__*/React.createElement(DemoCard, null, /*#__PURE__*/React.createElement(Divider, {
    dashed: true
  }, translated.text)), /*#__PURE__*/React.createElement(DemoCard
  // title='自定义样式'
  , {
    title: translated.customStyle
  }, /*#__PURE__*/React.createElement(Divider, {
    styles: {
      color: '#1989fa',
      borderColor: '#1989fa',
      paddingLeft: 10,
      paddingRight: 10,
      marginBottom: 20
    }
  }, translated.text)), /*#__PURE__*/React.createElement(DemoCard
  // title='垂直分割线'
  , {
    title: translated.verticalDivider
  }, /*#__PURE__*/React.createElement(View, {
    style: {
      flexDirection: 'row',
      alignItems: 'center'
    }
  }, /*#__PURE__*/React.createElement(Text, null, translated.text), /*#__PURE__*/React.createElement(Divider, {
    direction: "vertical"
  }), /*#__PURE__*/React.createElement(Text, null, translated.link), /*#__PURE__*/React.createElement(Divider, {
    direction: "vertical"
  }), /*#__PURE__*/React.createElement(Text, null, translated.link))));
};
export default DividerDemo;
//# sourceMappingURL=demo.js.map