import React from 'react';
import { View, Text } from 'react-native';
import toObj from '../utils/style-to-obj';
import fConStyle from '../utils/filter-container-style';
import { useConfig } from '../configprovider';
import indicatorStyles from './styles';
const defaultProps = {
  size: 3,
  current: 1,
  block: false,
  align: 'center',
  fillZero: true,
  vertical: false
};
export const Indicator = props => {
  const {
    size,
    current,
    block,
    align,
    fillZero,
    vertical,
    style
  } = {
    ...defaultProps,
    ...props
  };
  const {
    theme
  } = useConfig();
  const styles = indicatorStyles(theme);
  const renderEles = () => {
    const childs = [];
    for (let item = 1; item <= size; item++) {
      const numberStyle = [styles.number, item === 1 ? styles.firstNumber : {}, item === size ? styles.lastNumber : {}];
      const dotStyle = [styles.dot, item === 1 ? styles.firstDot : {}, item === size ? styles.lastDot : {}, vertical ? styles.verticalDot : {}, vertical && item === 1 ? styles.firstVerticalDot : {}, vertical && item === size ? styles.lastVerticalDot : {}];
      childs.push(item === current ? /*#__PURE__*/React.createElement(View, {
        key: item,
        style: numberStyle
      }, /*#__PURE__*/React.createElement(Text, {
        style: styles.numberTxt
      }, fillZero && item < 10 ? `0${item}` : item), /*#__PURE__*/React.createElement(View, {
        style: styles.whileLine
      })) : /*#__PURE__*/React.createElement(View, {
        key: item,
        style: dotStyle
      }));
    }
    return childs;
  };
  const wrapStyle = [fConStyle(toObj(style || {})), vertical ? styles.vertical : styles.row, block ? styles.block : {}, block ? styles[`align${align}`] : {}];
  return /*#__PURE__*/React.createElement(View, {
    style: wrapStyle
  }, renderEles());
};
Indicator.defaultProps = defaultProps;
Indicator.displayName = 'NutIndicator';
//# sourceMappingURL=indicator.js.map