import React from 'react';
import Notify from './notify';
import Cell from '../cell';
import CellGroup from '../cellgroup';
import { useTranslate } from '../utils';
import { DemoPage, DemoCard } from '../configprovider/styles/demo.page';
const NotifyDemo = () => {
  const [translated] = useTranslate({
    'zh-CN': {
      basic: '基本用法',
      t1: '通知类型',
      t2: '自定义样式',
      t3: '自定义时长',
      cusPostion: '自定义位置',
      useTemplate: '组件调用',
      primaryNotify: '主要通知',
      successNotify: '成功通知',
      errorNotify: '危险通知',
      warningNotify: '警告通知',
      cusBgNotify: '自定义背景色和字体颜色'
    },
    'en-US': {
      basic: 'Basic Usage',
      t1: 'Notify Type',
      t2: 'Custom Style',
      t3: 'Custom Duration',
      cusPostion: 'Custom Postion',
      useTemplate: 'Template use',
      primaryNotify: 'Primary Notify',
      successNotify: 'Success Notify',
      errorNotify: 'Error Notify',
      warningNotify: 'Warning Notify',
      cusBgNotify: 'Customize background and font colors'
    }
  });
  const baseNotify = msg => {
    Notify.text(msg, {
      onClosed: () => {
        console.log('close');
      },
      onClick: () => {
        console.log('click');
      }
    });
  };
  const primaryNotify = msg => {
    Notify.primary(msg);
  };
  const successNotify = msg => {
    Notify.success(msg);
  };
  const errorNotify = msg => {
    Notify.danger(msg);
  };
  const warningNotify = msg => {
    Notify.warn(msg);
  };
  const cusBgNotify = msg => {
    Notify.text(msg, {
      color: '#ad0000',
      background: '#ffe1e1',
      className: 'aa'
    });
  };
  const timeNotify = msg => {
    Notify.text(msg, {
      duration: 100000
    });
  };
  const positionNotify = msg => {
    Notify.text(msg, {
      position: 'bottom'
    });
  };
  return /*#__PURE__*/React.createElement(DemoPage, null, /*#__PURE__*/React.createElement(DemoCard, {
    title: translated.basic
  }, /*#__PURE__*/React.createElement(Cell, {
    title: translated.basic,
    onClick: event => {
      baseNotify(translated.basic);
    }
  })), /*#__PURE__*/React.createElement(DemoCard, {
    title: translated.t1
  }, /*#__PURE__*/React.createElement(CellGroup, null, /*#__PURE__*/React.createElement(Cell, {
    title: translated.primaryNotify,
    onClick: event => {
      primaryNotify(translated.primaryNotify);
    }
  }), /*#__PURE__*/React.createElement(Cell, {
    title: translated.successNotify,
    onClick: event => {
      successNotify(translated.successNotify);
    }
  }), /*#__PURE__*/React.createElement(Cell, {
    title: translated.errorNotify,
    onClick: event => {
      errorNotify(translated.errorNotify);
    }
  }), /*#__PURE__*/React.createElement(Cell, {
    title: translated.warningNotify,
    onClick: event => {
      warningNotify(translated.warningNotify);
    }
  }))), /*#__PURE__*/React.createElement(DemoCard, {
    title: translated.t2
  }, /*#__PURE__*/React.createElement(Cell, {
    title: translated.cusBgNotify,
    onClick: event => {
      cusBgNotify(translated.cusBgNotify);
    }
  })), /*#__PURE__*/React.createElement(DemoCard, {
    title: translated.t3,
    flexDirection: "column"
  }, /*#__PURE__*/React.createElement(Cell, {
    title: translated.t3,
    onClick: event => {
      timeNotify(translated.t3);
    }
  }), /*#__PURE__*/React.createElement(Cell, {
    title: translated.cusPostion,
    onClick: event => {
      positionNotify(translated.cusPostion);
    }
  })));
};
export default NotifyDemo;
//# sourceMappingURL=demo.js.map