function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React, { useEffect, useState } from 'react';
import RadioContext from '../radio/context';
import { View } from 'react-native';
import radioGroupStyles from './styles';
const defaultProps = {
  value: null,
  // 当前选中项的标识符，与label值一致时呈选中状态
  textPosition: 'right',
  // 文本所在的位置，可选值：left,right 默认 right
  onChange: value => {},
  direction: 'vertical' // direction
};

export const RadioGroup = /*#__PURE__*/React.forwardRef((props, ref) => {
  const {
    children
  } = {
    ...defaultProps,
    ...props
  };
  const styles = radioGroupStyles();
  const {
    value,
    onChange,
    textPosition,
    direction,
    ...rest
  } = props;
  const [val2State, setVal2State] = useState(value);
  useEffect(() => {
    setVal2State(value);
  }, [value]);
  function validateChildChecked(child) {
    if (val2State === null) return false;
    return val2State === child.props.value;
  }
  function cloneChildren() {
    return React.Children.map(children, (child, index) => {
      const childChecked = validateChildChecked(child);
      if (child.type.displayName !== 'NutRadio') {
        return /*#__PURE__*/React.cloneElement(child);
      }
      return /*#__PURE__*/React.cloneElement(child, {
        textPosition,
        checked: childChecked
      });
    });
  }
  const wrapStyle = [styles[`direction${direction}`]];
  return /*#__PURE__*/React.createElement(RadioContext.Provider, {
    value: {
      onChange: val => {
        setVal2State(val);
        onChange && onChange(val);
      }
    }
  }, /*#__PURE__*/React.createElement(View, _extends({
    style: wrapStyle
  }, rest), cloneChildren()));
});
RadioGroup.defaultProps = defaultProps;
RadioGroup.displayName = 'NutRadioGroup';
//# sourceMappingURL=radiogroup.js.map