import React, { useState } from 'react';
import { View, Text, TouchableOpacity } from 'react-native';
import Popup from '../popup/index';
import { OffsetContext } from './offsetContext';
import { useConfig } from '../configprovider';
import sidenavbarStyles from './styles';
const defaultProps = {
  visible: false,
  position: 'left',
  width: '80%'
};
export const SideNavBar = props => {
  const {
    title,
    visible,
    width,
    position,
    children,
    style,
    onClose
  } = {
    ...defaultProps,
    ...props
  };
  const {
    theme
  } = useConfig();
  const styles = sidenavbarStyles(theme);
  const offset = props.offset ? Number(props.offset) : 20;
  const [isShow, setIsShow] = useState(true);
  const handleClick = event => {
    event.stopPropagation();
    setIsShow(!isShow);
  };
  return /*#__PURE__*/React.createElement(Popup, {
    visible: visible,
    closeOnClickOverlay: true,
    style: {
      width,
      height: '100%'
    },
    position: position,
    onClose: onClose
  }, /*#__PURE__*/React.createElement(View, {
    style: [style, styles.nutSidenavbar]
  }, /*#__PURE__*/React.createElement(View, {
    style: styles.nutSidenavbar__content
  }, /*#__PURE__*/React.createElement(TouchableOpacity, {
    onPress: handleClick
  }, /*#__PURE__*/React.createElement(View, {
    style: [styles.nutSidenavbar__title, styles.borderBt, {
      paddingLeft: offset
    }]
  }, /*#__PURE__*/React.createElement(Text, {
    style: styles.nutSidenavbar__title__text
  }, title), /*#__PURE__*/React.createElement(View, {
    style: [styles.arrowIcon, isShow ? styles.arrowDown : styles.arrowUp]
  })), /*#__PURE__*/React.createElement(OffsetContext.Provider, {
    value: offset
  }, /*#__PURE__*/React.createElement(View, {
    style: [styles.nutSidenavbar__content, isShow ? styles.nutShow : styles.nutHide]
  }, children))))));
};
SideNavBar.defaultProps = defaultProps;
SideNavBar.displayName = 'NutSideNavBar';
//# sourceMappingURL=sidenavbar.js.map