import React from 'react';
import { Text, TouchableOpacity } from 'react-native';
import { useConfig } from '../configprovider';
import sidenavbaritemStyles from './styles';
const defaultProps = {
  title: '',
  ikey: ''
};
export const SideNavBarItem = props => {
  const {
    title,
    ikey,
    onPress
  } = {
    ...defaultProps,
    ...props
  };
  const {
    theme
  } = useConfig();
  const styles = sidenavbaritemStyles(theme);
  const clickFn = e => {
    e.stopPropagation();
    onPress === null || onPress === void 0 ? void 0 : onPress({
      title,
      ikey
    });
  };
  return /*#__PURE__*/React.createElement(TouchableOpacity, {
    style: [styles.nutsubsidenavbar__item, styles.borderBt],
    onPress: clickFn
  }, /*#__PURE__*/React.createElement(Text, {
    style: styles.nutsubsidenavbar__item__text
  }, title));
};
//# sourceMappingURL=sidenavbaritem.js.map