import React from 'react';
import Skeleton from '../skeleton';
import { DemoPage, DemoCard } from '../configprovider/styles/demo.page';
import { useTranslate } from '../utils';
const SkeletonDemo = () => {
  const [translated] = useTranslate({
    'zh-CN': {
      '3b02fdee': '触发了change事件，开关状态：',
      '84aa6bce': '基础用法',
      ea3bc18a: '传入多行',
      '02a53df5': '显示头像',
      '0a001122': '标题段落圆角风格',
      a4ed11b5: '图片组合',
      '07d62d5c': '显示子组件'
    },
    'zh-TW': {
      '3b02fdee': '觸發了change事件，開關狀態：',
      '84aa6bce': '基礎用法',
      ea3bc18a: '傳入多行',
      '02a53df5': '顯示頭像',
      '0a001122': '標題段落圓角風格',
      a4ed11b5: '图片组合',
      '07d62d5c': '圖片組合'
    },
    'en-US': {
      '3b02fdee': 'The change event is triggered, the switch state:',
      '84aa6bce': 'Basic usage',
      ea3bc18a: 'Pass in multiple lines',
      '02a53df5': 'show avatar',
      '0a001122': 'Heading Paragraph Rounded Corner Style',
      a4ed11b5: 'picture combination',
      '07d62d5c': 'show subcomponents'
    }
  });
  return /*#__PURE__*/React.createElement(DemoPage, null, /*#__PURE__*/React.createElement(DemoCard, {
    title: translated['84aa6bce']
  }, /*#__PURE__*/React.createElement(Skeleton, {
    width: 250,
    height: 15,
    animated: true,
    style: {
      marginBottom: 10
    }
  }), /*#__PURE__*/React.createElement(Skeleton, {
    width: 250,
    height: 15
  })), /*#__PURE__*/React.createElement(DemoCard, {
    title: translated.ea3bc18a
  }, /*#__PURE__*/React.createElement(Skeleton, {
    width: 310,
    height: 15,
    row: 3,
    title: true,
    animated: true
  })), /*#__PURE__*/React.createElement(DemoCard, {
    title: translated['02a53df5']
  }, /*#__PURE__*/React.createElement(Skeleton, {
    width: 250,
    height: 15,
    row: 3,
    title: true,
    animated: true,
    avatar: true,
    avatarSize: 100
  })), /*#__PURE__*/React.createElement(DemoCard, {
    title: translated['0a001122']
  }, /*#__PURE__*/React.createElement(Skeleton, {
    width: 250,
    height: 15,
    animated: true,
    round: true
  })));
};
export default SkeletonDemo;
//# sourceMappingURL=demo.js.map