import React, { useRef } from 'react';
import { View, Text } from 'react-native';
import Swipe from '../swipe';
import Button from '../button';
import InputNumber from '../inputnumber';
import { DemoPage, DemoCard } from '../configprovider/styles/demo.page';
import pt from '../utils/pt';
import { useTranslate } from '../utils';
const SwipeDemo = () => {
  const [translated] = useTranslate({
    'zh-CN': {
      title1: '基础用法',
      title2: '禁用滑动',
      title3: '事件监听',
      title4: '非同步控制',
      title5: '自定义內容',
      click: '点击',
      sure: '确定',
      del: '删除',
      huadong: '滑动',
      choose: '选择',
      event: '事件',
      goods: '商品',
      collect: '收藏',
      open: '打开',
      close: '关闭',
      tips: '提示',
      cart: '加入购物车',
      leftDel: '左滑删除',
      disabled: '禁用滑动',
      chooseTips: '确定选择吗？',
      deleteTips: '确定删除吗？'
    },
    'zh-TW': {
      title1: '基礎用法',
      title2: '禁用滑動',
      title3: '事件監聽',
      title4: '非同步控制',
      title5: '自定義內容',
      click: '點擊',
      sure: '確定',
      del: '刪除',
      huadong: '滑動',
      choose: '選擇',
      event: '事件',
      goods: '商品',
      collect: '收藏',
      open: '打開',
      close: '關閉',
      tips: '提示',
      cart: '加入購物車',
      leftDel: '左滑刪除',
      disabled: '禁用滑動',
      chooseTips: '確定選擇嗎？ ',
      deleteTips: '確定刪除嗎？ '
    },
    'en-US': {
      title1: 'Basic usage',
      title2: 'Disable sliding',
      title3: 'Event monitoring',
      title4: 'Asynchronous control',
      title5: 'Custom content',
      click: 'click',
      sure: 'ok',
      del: 'delete',
      choose: 'select',
      event: 'event',
      goods: 'goods',
      collect: 'collect',
      open: 'open',
      close: 'close',
      tips: 'tips',
      cart: 'add to shopping cart',
      leftDel: 'left slide delete',
      disabled: 'Disable sliding',
      chooseTips: 'are you sure to choose?',
      deleteTips: 'are you sure to delete?'
    },
    'id-ID': {
      title1: 'penggunaan dasar',
      title2: 'Lumpuhkan sliding',
      title3: 'Monitor waktu',
      title4: 'kontrol asinkron',
      title5: 'isi suai',
      click: 'klik',
      sure: 'OK',
      del: 'Hapus',
      huadong: 'sliding',
      choose: 'pilih',
      event: 'peristiwa',
      goods: 'barang',
      collect: 'kumpulkan',
      open: 'buka',
      close: 'tutup',
      tips: 'tip',
      cart: 'tambah ke kereta belanja',
      leftDel: 'padam slide kiri',
      disabled: 'Lumpuhkan sliding',
      chooseTips: 'Apakah kamu benar-benar memilih?',
      deleteTips: 'Apakah Anda yakin untuk menghapus?'
    }
  });
  const refDom = useRef(null);
  const beforeClose = () => {
    setTimeout(() => {
      refDom.current && refDom.current.close();
    }, 2000);
  };
  return /*#__PURE__*/React.createElement(DemoPage, null, /*#__PURE__*/React.createElement(DemoCard
  // title='基本用法'
  , {
    title: translated.title1
  }, /*#__PURE__*/React.createElement(Swipe, {
    leftWidth: 100,
    rightWidth: 100,
    leftAction: /*#__PURE__*/React.createElement(Button, {
      style: {
        flex: 1
      },
      shape: "square",
      type: "success"
    }, translated.choose),
    rightAction: /*#__PURE__*/React.createElement(Button, {
      style: {
        flex: 1
      },
      type: "primary",
      shape: "square"
    }, translated.del)
  }, /*#__PURE__*/React.createElement(View, null, /*#__PURE__*/React.createElement(Text, null, translated.huadong)))), /*#__PURE__*/React.createElement(DemoCard
  // title='禁用用法'
  , {
    title: translated.title2
  }, /*#__PURE__*/React.createElement(Swipe, {
    rightWidth: 100,
    rightAction: /*#__PURE__*/React.createElement(Button, {
      shape: "square",
      type: "danger"
    }, translated.del),
    disabled: true
  }, /*#__PURE__*/React.createElement(View, null, /*#__PURE__*/React.createElement(Text, null, translated.disabled)))), /*#__PURE__*/React.createElement(DemoCard
  // title='事件监听'
  , {
    title: translated.title3
  }, /*#__PURE__*/React.createElement(Swipe, {
    leftWidth: 100,
    rightWidth: 200,
    leftAction: /*#__PURE__*/React.createElement(Button, {
      style: {
        flex: 1
      },
      shape: "square",
      type: "success"
    }, translated.choose),
    rightAction: /*#__PURE__*/React.createElement(View, {
      style: {
        flexDirection: 'row',
        alignItems: 'center'
      }
    }, /*#__PURE__*/React.createElement(Button, {
      style: {
        flex: 1
      },
      shape: "square",
      type: "danger"
    }, translated.del), /*#__PURE__*/React.createElement(Button, {
      style: {
        flex: 1
      },
      shape: "square",
      type: "info"
    }, translated.collect)),
    onActionClick: (e, position) => {
      alert(e + '  ' + position);
    },
    onOpen: _ref => {
      let {
        name,
        position
      } = _ref;
      alert(name + ' open ' + position);
    },
    onClose: _ref2 => {
      let {
        name,
        position
      } = _ref2;
      alert(name + '  close ' + position);
    }
  }, /*#__PURE__*/React.createElement(View, null, /*#__PURE__*/React.createElement(Text, null, translated.event)))), /*#__PURE__*/React.createElement(DemoCard
  // title='异步控制'
  , {
    title: translated.title4
  }, /*#__PURE__*/React.createElement(Swipe, {
    ref: refDom,
    beforeClose: beforeClose,
    leftWidth: 100,
    rightWidth: 100,
    leftAction: /*#__PURE__*/React.createElement(Button, {
      style: {
        flex: 1
      },
      shape: "square",
      type: "success"
    }, translated.choose),
    rightAction: /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Button, {
      style: {
        flex: 1
      },
      shape: "square",
      type: "danger"
    }, translated.del))
  }, /*#__PURE__*/React.createElement(View, null, /*#__PURE__*/React.createElement(Text, null, translated.event)))), /*#__PURE__*/React.createElement(DemoCard
  // title='自定义内容'
  , {
    title: translated.title5
  }, /*#__PURE__*/React.createElement(Swipe, {
    rightWidth: 100,
    rightAction: /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Button, {
      style: {
        flex: 1
      },
      shape: "square",
      type: "danger"
    }, translated.cart))
  }, /*#__PURE__*/React.createElement(View, {
    style: {
      flexDirection: 'row',
      alignItems: 'center',
      justifyContent: 'space-between',
      width: pt(640)
    }
  }, /*#__PURE__*/React.createElement(Text, null, translated.goods), /*#__PURE__*/React.createElement(InputNumber, null)))));
};
export default SwipeDemo;
//# sourceMappingURL=demo.js.map