import React, { useState } from 'react';
import { View } from 'react-native';
import fConStyle from '../utils/filter-container-style';
import toObj from '../utils/style-to-obj';
import { useConfig } from '../configprovider';
import tabBarStyles from './styles';
const defaultProps = {
  visible: 0,
  bottom: false,
  size: 20,
  unactiveColor: '',
  activeColor: '',
  safeAreaInsetBottom: false,
  className: '',
  style: {},
  tabSwitch: () => {},
  onSwitch: () => {}
};
export const Tabbar = props => {
  const {
    children,
    visible,
    bottom,
    size,
    activeColor,
    unactiveColor,
    safeAreaInsetBottom,
    style,
    tabSwitch,
    onSwitch
  } = {
    ...defaultProps,
    ...props
  };
  const {
    theme
  } = useConfig();
  const styles = tabBarStyles(theme);
  const [selectIndex, setSelectIndex] = useState(visible);
  const handleClick = idx => {
    setSelectIndex(idx);
  };
  const wrapStyle = [styles.container, bottom ? styles.bottom : {}, safeAreaInsetBottom ? styles.safeAreaInsetBottom : {}, fConStyle(toObj(style || {}))];
  return /*#__PURE__*/React.createElement(View, {
    style: wrapStyle
  }, React.Children.map(children, (child, idx) => {
    if (! /*#__PURE__*/React.isValidElement(child)) {
      return null;
    }
    const childProps = {
      ...child.props,
      active: idx === selectIndex,
      index: idx,
      unactiveColor,
      activeColor,
      size,
      handleClick: () => {
        handleClick(idx);
        tabSwitch(child, idx);
        onSwitch(child, idx);
      }
    };
    return /*#__PURE__*/React.cloneElement(child, childProps);
  }));
};
Tabbar.defaultProps = defaultProps;
Tabbar.displayName = 'NutTabbar';
//# sourceMappingURL=tabbar.js.map