import React from 'react';
import Cell from '../cell';
import CellGroup from '../cellgroup';
import Tag from '../tag';
import { DemoPage, DemoCard } from '../configprovider/styles/demo.page';
import { useTranslate } from '../utils';
const TagDemo = () => {
  const [translated] = useTranslate({
    'zh-CN': {
      title1: '基础用法',
      title2: '空心样式',
      title3: '圆角样式',
      title4: '标记样式',
      title5: '可关闭标签',
      title6: '自定义',
      primary: 'primary类型',
      success: 'success类型',
      danger: 'danger类型',
      warning: 'warning类型',
      tag: '标签',
      bgColor: '背景颜色',
      color: '文字颜色',
      hollow: '空心颜色'
    },
    'zh-TW': {
      title1: '基礎用法',
      title2: '空心樣式',
      title3: '圓角樣式',
      title4: '標記樣式',
      title5: '可關閉標籤',
      title6: '自定義',
      primary: 'primary型別',
      success: 'success型別',
      danger: 'danger型別',
      warning: 'warning型別',
      tag: '標籤',
      bgColor: '背景顏色',
      color: '文字顏色',
      hollow: '空心顏色'
    },
    'en-US': {
      title1: 'Basic usage',
      title2: 'Void style',
      title3: 'Fillet style',
      title4: 'Tag Style',
      title5: 'Closeable label',
      title6: 'Custom',
      primary: 'Primary type',
      success: 'Success type',
      danger: 'Danger type',
      warning: 'Warning type',
      tag: 'Label',
      bgColor: 'Background color',
      color: 'Text color',
      hollow: 'Hollow color'
    }
  });
  return /*#__PURE__*/React.createElement(DemoPage, null, /*#__PURE__*/React.createElement(DemoCard
  // title='基本用法'
  , {
    title: translated.title1
  }, /*#__PURE__*/React.createElement(CellGroup, null, /*#__PURE__*/React.createElement(Cell
  // title='primary类型'
  , {
    title: translated.primary,
    linkSlot: /*#__PURE__*/React.createElement(Tag, {
      style: {
        width: 36,
        justifyContent: 'center',
        alignItems: 'center'
      },
      type: "primary"
    }, translated.tag)
  }), /*#__PURE__*/React.createElement(Cell
  // title='success类型'
  , {
    title: translated.success,
    linkSlot: /*#__PURE__*/React.createElement(Tag, {
      style: {
        width: 36,
        justifyContent: 'center',
        alignItems: 'center'
      },
      type: "success"
    }, translated.tag)
  }), /*#__PURE__*/React.createElement(Cell
  // title='danger类型'
  , {
    title: translated.danger,
    linkSlot: /*#__PURE__*/React.createElement(Tag, {
      style: {
        width: 36,
        justifyContent: 'center',
        alignItems: 'center'
      },
      type: "danger"
    }, translated.tag)
  }), /*#__PURE__*/React.createElement(Cell
  // title='warning类型'
  , {
    title: translated.warning,
    linkSlot: /*#__PURE__*/React.createElement(Tag, {
      style: {
        width: 36,
        justifyContent: 'center',
        alignItems: 'center'
      },
      type: "warning"
    }, translated.tag)
  }))), /*#__PURE__*/React.createElement(DemoCard
  // title='空心样式'
  , {
    title: translated.title2
  }, /*#__PURE__*/React.createElement(CellGroup, null, /*#__PURE__*/React.createElement(Cell
  // title='空心样式'
  , {
    title: translated.title2,
    linkSlot: /*#__PURE__*/React.createElement(Tag, {
      plain: true,
      style: {
        width: 36,
        justifyContent: 'center',
        alignItems: 'center'
      }
    }, translated.tag)
  }), /*#__PURE__*/React.createElement(Cell
  // title='圆角样式'
  , {
    title: translated.title3,
    linkSlot: /*#__PURE__*/React.createElement(Tag, {
      round: true,
      type: "primary",
      style: {
        width: 36,
        justifyContent: 'center',
        alignItems: 'center'
      }
    }, translated.tag)
  }), /*#__PURE__*/React.createElement(Cell
  // title='标记样式'
  , {
    title: translated.title4,
    linkSlot: /*#__PURE__*/React.createElement(Tag, {
      mark: true,
      type: "primary",
      style: {
        width: 36,
        justifyContent: 'center',
        alignItems: 'center'
      }
    }, translated.tag)
  }), /*#__PURE__*/React.createElement(Cell
  // title='可关闭标签'
  , {
    title: translated.title5,
    linkSlot: /*#__PURE__*/React.createElement(Tag, {
      closeable: true,
      onClose: () => alert('Tag closed'),
      type: "primary",
      style: {
        width: 45,
        justifyContent: 'center',
        alignItems: 'center'
      }
    }, translated.tag)
  }))), /*#__PURE__*/React.createElement(DemoCard
  // title='自定义'
  , {
    title: translated.title6
  }, /*#__PURE__*/React.createElement(CellGroup, null, /*#__PURE__*/React.createElement(Cell
  // title='背景颜色'
  , {
    title: translated.bgColor,
    linkSlot: /*#__PURE__*/React.createElement(Tag, {
      color: "#FA685D",
      style: {
        width: 36,
        justifyContent: 'center',
        alignItems: 'center'
      }
    }, translated.tag)
  }), /*#__PURE__*/React.createElement(Cell
  // title='文字颜色'
  , {
    title: translated.color,
    linkSlot: /*#__PURE__*/React.createElement(Tag, {
      color: "#E9E9E9",
      textColor: "#999999",
      style: {
        width: 36,
        justifyContent: 'center',
        alignItems: 'center'
      }
    }, translated.tag)
  }), /*#__PURE__*/React.createElement(Cell
  // title='空心颜色'
  , {
    title: translated.hollow,
    linkSlot: /*#__PURE__*/React.createElement(Tag, {
      color: "#FA2400",
      plain: true,
      style: {
        width: 36,
        justifyContent: 'center',
        alignItems: 'center'
      }
    }, translated.tag)
  }))));
};
export default TagDemo;
//# sourceMappingURL=demo.js.map