import React, { useEffect, useState } from 'react';
import { View, Text, TouchableOpacity } from 'react-native';
import pt from '../utils/pt';
import deviceWidth from '../utils/deviceWidth';
import { useConfig } from '../configprovider';
import timeDetailStyles from './styles';
const defaultProps = {
  className: '',
  currentKey: 0,
  currentTime: [],
  times: [],
  select: () => null
};
export const TimeDetail = props => {
  const {
    children,
    times,
    className,
    currentKey,
    currentTime,
    select
  } = {
    ...defaultProps,
    ...props
  };
  const {
    theme
  } = useConfig();
  const mStyles = timeDetailStyles(theme);
  const [renderData, setRenderData] = useState([]);
  const [itemWidth, setItemWidth] = useState(0);
  useEffect(() => {
    const currentData = times.find(timesItem => String(timesItem.key) === String(currentKey));
    const renderData = currentData ? currentData.list : [];
    // 根据选中的日期回显当前日期可配送的时间
    setRenderData(renderData);
  }, [times, currentKey]);
  // 选中时间的回调
  const handleTime = time => {
    select(time);
  };
  // 选中的配送时间增加 active 类名
  const getDetailClass = item => {
    let initClass = 'nut-timedetail__item';
    const curTimeData = currentTime.find(item => String(item.key) === String(currentKey));
    if (curTimeData && curTimeData.list && curTimeData.list.includes(item)) {
      initClass += ' nut-timedetail__item-active';
    }
    return initClass;
  };
  return /*#__PURE__*/React.createElement(View, {
    style: mStyles.nut_timedetail_container,
    onLayout: e => {
      setItemWidth((deviceWidth * 3 / 5 - 3 * pt(20)) / 2);
    }
  }, renderData.map((item, index) => {
    return /*#__PURE__*/React.createElement(TouchableOpacity, {
      style: [getDetailClass(item) === 'nut-timedetail__item' ? mStyles.nut_timedetail_no_active : mStyles.nut_timedetail_active, {
        width: itemWidth
      }],
      key: item,
      onPress: () => handleTime(item)
    }, /*#__PURE__*/React.createElement(Text, {
      style: getDetailClass(item) === 'nut-timedetail__item' ? mStyles.nut_timedetail_no_active_text : mStyles.nut_timedetail_active_text
    }, item));
  }));
};
TimeDetail.defaultProps = defaultProps;
TimeDetail.displayName = 'NutTimeDetail';
//# sourceMappingURL=timedetail.js.map