import React from 'react';
import { View } from 'react-native';
import TrendArrow from '../trendarrow';
import Icon from '../icon';
import { DemoPage, DemoCard } from '../configprovider/styles/demo.page';
import { useTranslate } from '../utils';
const TrendArrowDemo = () => {
  const [translated] = useTranslate({
    'zh-CN': {
      basic: '基本用法',
      title1: '改变文字颜色',
      title2: '指定小数位',
      title3: '箭头在前面',
      title4: '显示正负号',
      title5: '是否展示0',
      title6: '自定义颜色',
      title7: '自定义图标'
    },
    'zh-TW': {
      basic: '基本用法',
      title1: '改变文字颜色',
      title2: '指定小数位',
      title3: '箭头在前面',
      title4: '显示正负号',
      title5: '是否展示0',
      title6: '自定义颜色',
      title7: '自定义图标'
    },
    'en-US': {
      basic: 'Basic Usage',
      title1: 'Change text color',
      title2: 'Specify decimal places',
      title3: 'Arrow ahead',
      title4: 'Show sign',
      title5: 'Whether to show 0',
      title6: 'Custom color',
      title7: 'Custom icon'
    }
  });
  return /*#__PURE__*/React.createElement(DemoPage, null, /*#__PURE__*/React.createElement(DemoCard, {
    title: translated.basic
  }, /*#__PURE__*/React.createElement(View, {
    style: {
      flexDirection: 'row',
      alignItems: 'center'
    }
  }, /*#__PURE__*/React.createElement(TrendArrow, {
    style: {
      marginRight: 10
    },
    syncTextColor: false,
    rate: 1
  }), /*#__PURE__*/React.createElement(TrendArrow, {
    syncTextColor: false,
    rate: -0.2535
  }))), /*#__PURE__*/React.createElement(DemoCard, {
    title: translated.title1
  }, /*#__PURE__*/React.createElement(View, {
    style: {
      flexDirection: 'row',
      alignItems: 'center'
    }
  }, /*#__PURE__*/React.createElement(TrendArrow, {
    style: {
      marginRight: 10
    },
    rate: 10.2365
  }), /*#__PURE__*/React.createElement(TrendArrow, {
    rate: -0.2535
  }))), /*#__PURE__*/React.createElement(DemoCard, {
    title: translated.title2
  }, /*#__PURE__*/React.createElement(View, {
    style: {
      flexDirection: 'row',
      alignItems: 'center'
    }
  }, /*#__PURE__*/React.createElement(TrendArrow, {
    digits: 1,
    rate: 10.2365,
    style: {
      marginRight: 10
    }
  }), /*#__PURE__*/React.createElement(TrendArrow, {
    digits: 3,
    rate: -0.2535
  }))), /*#__PURE__*/React.createElement(DemoCard, {
    title: translated.title3
  }, /*#__PURE__*/React.createElement(View, {
    style: {
      flexDirection: 'row',
      alignItems: 'center'
    }
  }, /*#__PURE__*/React.createElement(TrendArrow, {
    style: {
      marginRight: 10
    },
    arrowLeft: true,
    rate: 0.2535
  }), /*#__PURE__*/React.createElement(TrendArrow, {
    arrowLeft: true,
    rate: -0.2535
  }))), /*#__PURE__*/React.createElement(DemoCard, {
    title: translated.title4
  }, /*#__PURE__*/React.createElement(View, {
    style: {
      flexDirection: 'row',
      alignItems: 'center'
    }
  }, /*#__PURE__*/React.createElement(TrendArrow, {
    style: {
      marginRight: 10
    },
    showSign: true,
    rate: 1
  }), /*#__PURE__*/React.createElement(TrendArrow, {
    showSign: true,
    rate: -0.2535
  }))), /*#__PURE__*/React.createElement(DemoCard, {
    title: translated.title5
  }, /*#__PURE__*/React.createElement(View, {
    style: {
      flexDirection: 'row',
      alignItems: 'center'
    }
  }, /*#__PURE__*/React.createElement(TrendArrow, {
    style: {
      marginRight: 10
    },
    showSign: true,
    rate: 0
  }), /*#__PURE__*/React.createElement(TrendArrow, {
    showSign: true,
    showZero: true,
    rate: 0
  }))), /*#__PURE__*/React.createElement(DemoCard, {
    title: translated.title6
  }, /*#__PURE__*/React.createElement(View, {
    style: {
      flexDirection: 'row',
      alignItems: 'center'
    }
  }, /*#__PURE__*/React.createElement(TrendArrow, {
    style: {
      marginRight: 10
    },
    rate: 10.2365,
    riseColor: "rgb(73,143,242)"
  }), /*#__PURE__*/React.createElement(TrendArrow, {
    style: {
      marginRight: 10
    },
    rate: -0.2535,
    showSign: true,
    dropColor: "rgb(255, 190, 13)"
  }), /*#__PURE__*/React.createElement(TrendArrow, {
    syncTextColor: false,
    rate: -0.2535,
    showSign: true,
    textColor: "rgb(39,197,48)",
    dropColor: "rgb(39,197,48)"
  }))), /*#__PURE__*/React.createElement(DemoCard, {
    title: translated.title7
  }, /*#__PURE__*/React.createElement(View, {
    style: {
      flexDirection: 'row',
      alignItems: 'center'
    }
  }, /*#__PURE__*/React.createElement(TrendArrow, {
    style: {
      marginRight: 10
    },
    rate: 10.2365,
    upIconName: "success"
  }), /*#__PURE__*/React.createElement(TrendArrow, {
    style: {
      marginRight: 10
    },
    rate: -10.2365,
    downIconName: "failure"
  }), /*#__PURE__*/React.createElement(TrendArrow, {
    rate: 10.2365
  }, /*#__PURE__*/React.createElement(Icon, {
    name: "heart-fill",
    color: "#fa2c19",
    size: 12
  })))));
};
export default TrendArrowDemo;
//# sourceMappingURL=demo.js.map